/*
* Copyright (C) fastman92 <fastman92@gmail.com>, website: http://fastman92.com
* Licensed under the MIT License, see LICENSE at top level directory.
*
*/

#pragma once

typedef int eCommandName;

namespace Game_GTASA
{
	enum eCommandName : int
	{
		COMMAND_NOP                                                              = 0x0000,
		COMMAND_WAIT                                                             = 0x0001,
		COMMAND_GOTO                                                             = 0x0002,
		COMMAND_SHAKE_CAM                                                        = 0x0003,
		COMMAND_SET_VAR_INT                                                      = 0x0004,
		COMMAND_SET_VAR_FLOAT                                                    = 0x0005,
		COMMAND_SET_LVAR_INT                                                     = 0x0006,
		COMMAND_SET_LVAR_FLOAT                                                   = 0x0007,
		COMMAND_ADD_VAL_TO_INT_VAR                                               = 0x0008,
		COMMAND_ADD_VAL_TO_FLOAT_VAR                                             = 0x0009,
		COMMAND_ADD_VAL_TO_INT_LVAR                                              = 0x000A,
		COMMAND_ADD_VAL_TO_FLOAT_LVAR                                            = 0x000B,
		COMMAND_SUB_VAL_FROM_INT_VAR                                             = 0x000C,
		COMMAND_SUB_VAL_FROM_FLOAT_VAR                                           = 0x000D,
		COMMAND_SUB_VAL_FROM_INT_LVAR                                            = 0x000E,
		COMMAND_SUB_VAL_FROM_FLOAT_LVAR                                          = 0x000F,
		COMMAND_MULT_INT_VAR_BY_VAL                                              = 0x0010,
		COMMAND_MULT_FLOAT_VAR_BY_VAL                                            = 0x0011,
		COMMAND_MULT_INT_LVAR_BY_VAL                                             = 0x0012,
		COMMAND_MULT_FLOAT_LVAR_BY_VAL                                           = 0x0013,
		COMMAND_DIV_INT_VAR_BY_VAL                                               = 0x0014,
		COMMAND_DIV_FLOAT_VAR_BY_VAL                                             = 0x0015,
		COMMAND_DIV_INT_LVAR_BY_VAL                                              = 0x0016,
		COMMAND_DIV_FLOAT_LVAR_BY_VAL                                            = 0x0017,
		COMMAND_IS_INT_VAR_GREATER_THAN_NUMBER                                   = 0x0018,
		COMMAND_IS_INT_LVAR_GREATER_THAN_NUMBER                                  = 0x0019,
		COMMAND_IS_NUMBER_GREATER_THAN_INT_VAR                                   = 0x001A,
		COMMAND_IS_NUMBER_GREATER_THAN_INT_LVAR                                  = 0x001B,
		COMMAND_IS_INT_VAR_GREATER_THAN_INT_VAR                                  = 0x001C,
		COMMAND_IS_INT_LVAR_GREATER_THAN_INT_LVAR                                = 0x001D,
		COMMAND_IS_INT_VAR_GREATER_THAN_INT_LVAR                                 = 0x001E,
		COMMAND_IS_INT_LVAR_GREATER_THAN_INT_VAR                                 = 0x001F,
		COMMAND_IS_FLOAT_VAR_GREATER_THAN_NUMBER                                 = 0x0020,
		COMMAND_IS_FLOAT_LVAR_GREATER_THAN_NUMBER                                = 0x0021,
		COMMAND_IS_NUMBER_GREATER_THAN_FLOAT_VAR                                 = 0x0022,
		COMMAND_IS_NUMBER_GREATER_THAN_FLOAT_LVAR                                = 0x0023,
		COMMAND_IS_FLOAT_VAR_GREATER_THAN_FLOAT_VAR                              = 0x0024,
		COMMAND_IS_FLOAT_LVAR_GREATER_THAN_FLOAT_LVAR                            = 0x0025,
		COMMAND_IS_FLOAT_VAR_GREATER_THAN_FLOAT_LVAR                             = 0x0026,
		COMMAND_IS_FLOAT_LVAR_GREATER_THAN_FLOAT_VAR                             = 0x0027,
		COMMAND_IS_INT_VAR_GREATER_OR_EQUAL_TO_NUMBER                            = 0x0028,
		COMMAND_IS_INT_LVAR_GREATER_OR_EQUAL_TO_NUMBER                           = 0x0029,
		COMMAND_IS_NUMBER_GREATER_OR_EQUAL_TO_INT_VAR                            = 0x002A,
		COMMAND_IS_NUMBER_GREATER_OR_EQUAL_TO_INT_LVAR                           = 0x002B,
		COMMAND_IS_INT_VAR_GREATER_OR_EQUAL_TO_INT_VAR                           = 0x002C,
		COMMAND_IS_INT_LVAR_GREATER_OR_EQUAL_TO_INT_LVAR                         = 0x002D,
		COMMAND_IS_INT_VAR_GREATER_OR_EQUAL_TO_INT_LVAR                          = 0x002E,
		COMMAND_IS_INT_LVAR_GREATER_OR_EQUAL_TO_INT_VAR                          = 0x002F,
		COMMAND_IS_FLOAT_VAR_GREATER_OR_EQUAL_TO_NUMBER                          = 0x0030,
		COMMAND_IS_FLOAT_LVAR_GREATER_OR_EQUAL_TO_NUMBER                         = 0x0031,
		COMMAND_IS_NUMBER_GREATER_OR_EQUAL_TO_FLOAT_VAR                          = 0x0032,
		COMMAND_IS_NUMBER_GREATER_OR_EQUAL_TO_FLOAT_LVAR                         = 0x0033,
		COMMAND_IS_FLOAT_VAR_GREATER_OR_EQUAL_TO_FLOAT_VAR                       = 0x0034,
		COMMAND_IS_FLOAT_LVAR_GREATER_OR_EQUAL_TO_FLOAT_LVAR                     = 0x0035,
		COMMAND_IS_FLOAT_VAR_GREATER_OR_EQUAL_TO_FLOAT_LVAR                      = 0x0036,
		COMMAND_IS_FLOAT_LVAR_GREATER_OR_EQUAL_TO_FLOAT_VAR                      = 0x0037,
		COMMAND_IS_INT_VAR_EQUAL_TO_NUMBER                                       = 0x0038,
		COMMAND_IS_INT_LVAR_EQUAL_TO_NUMBER                                      = 0x0039,
		COMMAND_IS_INT_VAR_EQUAL_TO_INT_VAR                                      = 0x003A,
		COMMAND_IS_INT_LVAR_EQUAL_TO_INT_LVAR                                    = 0x003B,
		COMMAND_IS_INT_VAR_EQUAL_TO_INT_LVAR                                     = 0x003C,
		COMMAND_IS_INT_VAR_NOT_EQUAL_TO_NUMBER                                   = 0x003D,
		COMMAND_IS_INT_LVAR_NOT_EQUAL_TO_NUMBER                                  = 0x003E,
		COMMAND_IS_INT_VAR_NOT_EQUAL_TO_INT_VAR                                  = 0x003F,
		COMMAND_IS_INT_LVAR_NOT_EQUAL_TO_INT_LVAR                                = 0x0040,
		COMMAND_IS_INT_VAR_NOT_EQUAL_TO_INT_LVAR                                 = 0x0041,
		COMMAND_IS_FLOAT_VAR_EQUAL_TO_NUMBER                                     = 0x0042,
		COMMAND_IS_FLOAT_LVAR_EQUAL_TO_NUMBER                                    = 0x0043,
		COMMAND_IS_FLOAT_VAR_EQUAL_TO_FLOAT_VAR                                  = 0x0044,
		COMMAND_IS_FLOAT_LVAR_EQUAL_TO_FLOAT_LVAR                                = 0x0045,
		COMMAND_IS_FLOAT_VAR_EQUAL_TO_FLOAT_LVAR                                 = 0x0046,
		COMMAND_IS_FLOAT_VAR_NOT_EQUAL_TO_NUMBER                                 = 0x0047,
		COMMAND_IS_FLOAT_LVAR_NOT_EQUAL_TO_NUMBER                                = 0x0048,
		COMMAND_IS_FLOAT_VAR_NOT_EQUAL_TO_FLOAT_VAR                              = 0x0049,
		COMMAND_IS_FLOAT_LVAR_NOT_EQUAL_TO_FLOAT_LVAR                            = 0x004A,
		COMMAND_IS_FLOAT_VAR_NOT_EQUAL_TO_FLOAT_LVAR                             = 0x004B,
		COMMAND_GOTO_IF_TRUE                                                     = 0x004C,
		COMMAND_GOTO_IF_FALSE                                                    = 0x004D,
		COMMAND_TERMINATE_THIS_SCRIPT                                            = 0x004E,
		COMMAND_START_NEW_SCRIPT                                                 = 0x004F,
		COMMAND_GOSUB                                                            = 0x0050,
		COMMAND_RETURN                                                           = 0x0051,
		COMMAND_LINE                                                             = 0x0052,
		COMMAND_CREATE_PLAYER                                                    = 0x0053,
		COMMAND_GET_PLAYER_COORDINATES                                           = 0x0054,
		COMMAND_SET_PLAYER_COORDINATES                                           = 0x0055,
		COMMAND_IS_PLAYER_IN_AREA_2D                                             = 0x0056,
		COMMAND_IS_PLAYER_IN_AREA_3D                                             = 0x0057,
		COMMAND_ADD_INT_VAR_TO_INT_VAR                                           = 0x0058,
		COMMAND_ADD_FLOAT_VAR_TO_FLOAT_VAR                                       = 0x0059,
		COMMAND_ADD_INT_LVAR_TO_INT_LVAR                                         = 0x005A,
		COMMAND_ADD_FLOAT_LVAR_TO_FLOAT_LVAR                                     = 0x005B,
		COMMAND_ADD_INT_VAR_TO_INT_LVAR                                          = 0x005C,
		COMMAND_ADD_FLOAT_VAR_TO_FLOAT_LVAR                                      = 0x005D,
		COMMAND_ADD_INT_LVAR_TO_INT_VAR                                          = 0x005E,
		COMMAND_ADD_FLOAT_LVAR_TO_FLOAT_VAR                                      = 0x005F,
		COMMAND_SUB_INT_VAR_FROM_INT_VAR                                         = 0x0060,
		COMMAND_SUB_FLOAT_VAR_FROM_FLOAT_VAR                                     = 0x0061,
		COMMAND_SUB_INT_LVAR_FROM_INT_LVAR                                       = 0x0062,
		COMMAND_SUB_FLOAT_LVAR_FROM_FLOAT_LVAR                                   = 0x0063,
		COMMAND_SUB_INT_VAR_FROM_INT_LVAR                                        = 0x0064,
		COMMAND_SUB_FLOAT_VAR_FROM_FLOAT_LVAR                                    = 0x0065,
		COMMAND_SUB_INT_LVAR_FROM_INT_VAR                                        = 0x0066,
		COMMAND_SUB_FLOAT_LVAR_FROM_FLOAT_VAR                                    = 0x0067,
		COMMAND_MULT_INT_VAR_BY_INT_VAR                                          = 0x0068,
		COMMAND_MULT_FLOAT_VAR_BY_FLOAT_VAR                                      = 0x0069,
		COMMAND_MULT_INT_LVAR_BY_INT_LVAR                                        = 0x006A,
		COMMAND_MULT_FLOAT_LVAR_BY_FLOAT_LVAR                                    = 0x006B,
		COMMAND_MULT_INT_VAR_BY_INT_LVAR                                         = 0x006C,
		COMMAND_MULT_FLOAT_VAR_BY_FLOAT_LVAR                                     = 0x006D,
		COMMAND_MULT_INT_LVAR_BY_INT_VAR                                         = 0x006E,
		COMMAND_MULT_FLOAT_LVAR_BY_FLOAT_VAR                                     = 0x006F,
		COMMAND_DIV_INT_VAR_BY_INT_VAR                                           = 0x0070,
		COMMAND_DIV_FLOAT_VAR_BY_FLOAT_VAR                                       = 0x0071,
		COMMAND_DIV_INT_LVAR_BY_INT_LVAR                                         = 0x0072,
		COMMAND_DIV_FLOAT_LVAR_BY_FLOAT_LVAR                                     = 0x0073,
		COMMAND_DIV_INT_VAR_BY_INT_LVAR                                          = 0x0074,
		COMMAND_DIV_FLOAT_VAR_BY_FLOAT_LVAR                                      = 0x0075,
		COMMAND_DIV_INT_LVAR_BY_INT_VAR                                          = 0x0076,
		COMMAND_DIV_FLOAT_LVAR_BY_FLOAT_VAR                                      = 0x0077,
		COMMAND_ADD_TIMED_VAL_TO_FLOAT_VAR                                       = 0x0078,
		COMMAND_ADD_TIMED_VAL_TO_FLOAT_LVAR                                      = 0x0079,
		COMMAND_ADD_TIMED_FLOAT_VAR_TO_FLOAT_VAR                                 = 0x007A,
		COMMAND_ADD_TIMED_FLOAT_LVAR_TO_FLOAT_LVAR                               = 0x007B,
		COMMAND_ADD_TIMED_FLOAT_LVAR_TO_FLOAT_VAR                                = 0x007C,
		COMMAND_ADD_TIMED_FLOAT_VAR_TO_FLOAT_LVAR                                = 0x007D,
		COMMAND_SUB_TIMED_VAL_FROM_FLOAT_VAR                                     = 0x007E,
		COMMAND_SUB_TIMED_VAL_FROM_FLOAT_LVAR                                    = 0x007F,
		COMMAND_SUB_TIMED_FLOAT_VAR_FROM_FLOAT_VAR                               = 0x0080,
		COMMAND_SUB_TIMED_FLOAT_LVAR_FROM_FLOAT_LVAR                             = 0x0081,
		COMMAND_SUB_TIMED_FLOAT_LVAR_FROM_FLOAT_VAR                              = 0x0082,
		COMMAND_SUB_TIMED_FLOAT_VAR_FROM_FLOAT_LVAR                              = 0x0083,
		COMMAND_SET_VAR_INT_TO_VAR_INT                                           = 0x0084,
		COMMAND_SET_LVAR_INT_TO_LVAR_INT                                         = 0x0085,
		COMMAND_SET_VAR_FLOAT_TO_VAR_FLOAT                                       = 0x0086,
		COMMAND_SET_LVAR_FLOAT_TO_LVAR_FLOAT                                     = 0x0087,
		COMMAND_SET_VAR_FLOAT_TO_LVAR_FLOAT                                      = 0x0088,
		COMMAND_SET_LVAR_FLOAT_TO_VAR_FLOAT                                      = 0x0089,
		COMMAND_SET_VAR_INT_TO_LVAR_INT                                          = 0x008A,
		COMMAND_SET_LVAR_INT_TO_VAR_INT                                          = 0x008B,
		COMMAND_CSET_VAR_INT_TO_VAR_FLOAT                                        = 0x008C,
		COMMAND_CSET_VAR_FLOAT_TO_VAR_INT                                        = 0x008D,
		COMMAND_CSET_LVAR_INT_TO_VAR_FLOAT                                       = 0x008E,
		COMMAND_CSET_LVAR_FLOAT_TO_VAR_INT                                       = 0x008F,
		COMMAND_CSET_VAR_INT_TO_LVAR_FLOAT                                       = 0x0090,
		COMMAND_CSET_VAR_FLOAT_TO_LVAR_INT                                       = 0x0091,
		COMMAND_CSET_LVAR_INT_TO_LVAR_FLOAT                                      = 0x0092,
		COMMAND_CSET_LVAR_FLOAT_TO_LVAR_INT                                      = 0x0093,
		COMMAND_ABS_VAR_INT                                                      = 0x0094,
		COMMAND_ABS_LVAR_INT                                                     = 0x0095,
		COMMAND_ABS_VAR_FLOAT                                                    = 0x0096,
		COMMAND_ABS_LVAR_FLOAT                                                   = 0x0097,
		COMMAND_GENERATE_RANDOM_FLOAT                                            = 0x0098,
		COMMAND_GENERATE_RANDOM_INT                                              = 0x0099,
		COMMAND_CREATE_CHAR                                                      = 0x009A,
		COMMAND_DELETE_CHAR                                                      = 0x009B,
		COMMAND_CHAR_WANDER_DIR                                                  = 0x009C,
		COMMAND_CHAR_WANDER_RANGE                                                = 0x009D,
		COMMAND_CHAR_FOLLOW_PATH                                                 = 0x009E,
		COMMAND_CHAR_SET_IDLE                                                    = 0x009F,
		COMMAND_GET_CHAR_COORDINATES                                             = 0x00A0,
		COMMAND_SET_CHAR_COORDINATES                                             = 0x00A1,
		COMMAND_IS_CHAR_STILL_ALIVE                                              = 0x00A2,
		COMMAND_IS_CHAR_IN_AREA_2D                                               = 0x00A3,
		COMMAND_IS_CHAR_IN_AREA_3D                                               = 0x00A4,
		COMMAND_CREATE_CAR                                                       = 0x00A5,
		COMMAND_DELETE_CAR                                                       = 0x00A6,
		COMMAND_CAR_GOTO_COORDINATES                                             = 0x00A7,
		COMMAND_CAR_WANDER_RANDOMLY                                              = 0x00A8,
		COMMAND_CAR_SET_IDLE                                                     = 0x00A9,
		COMMAND_GET_CAR_COORDINATES                                              = 0x00AA,
		COMMAND_SET_CAR_COORDINATES                                              = 0x00AB,
		COMMAND_IS_CAR_STILL_ALIVE                                               = 0x00AC,
		COMMAND_SET_CAR_CRUISE_SPEED                                             = 0x00AD,
		COMMAND_SET_CAR_DRIVING_STYLE                                            = 0x00AE,
		COMMAND_SET_CAR_MISSION                                                  = 0x00AF,
		COMMAND_IS_CAR_IN_AREA_2D                                                = 0x00B0,
		COMMAND_IS_CAR_IN_AREA_3D                                                = 0x00B1,
		COMMAND_SPECIAL_0                                                        = 0x00B2,
		COMMAND_SPECIAL_1                                                        = 0x00B3,
		COMMAND_SPECIAL_2                                                        = 0x00B4,
		COMMAND_SPECIAL_3                                                        = 0x00B5,
		COMMAND_SPECIAL_4                                                        = 0x00B6,
		COMMAND_SPECIAL_5                                                        = 0x00B7,
		COMMAND_SPECIAL_6                                                        = 0x00B8,
		COMMAND_SPECIAL_7                                                        = 0x00B9,
		COMMAND_PRINT_BIG                                                        = 0x00BA,
		COMMAND_PRINT                                                            = 0x00BB,
		COMMAND_PRINT_NOW                                                        = 0x00BC,
		COMMAND_PRINT_SOON                                                       = 0x00BD,
		COMMAND_CLEAR_PRINTS                                                     = 0x00BE,
		COMMAND_GET_TIME_OF_DAY                                                  = 0x00BF,
		COMMAND_SET_TIME_OF_DAY                                                  = 0x00C0,
		COMMAND_GET_MINUTES_TO_TIME_OF_DAY                                       = 0x00C1,
		COMMAND_IS_POINT_ON_SCREEN                                               = 0x00C2,
		COMMAND_DEBUG_ON                                                         = 0x00C3,
		COMMAND_DEBUG_OFF                                                        = 0x00C4,
		COMMAND_RETURN_TRUE                                                      = 0x00C5,
		COMMAND_RETURN_FALSE                                                     = 0x00C6,
		COMMAND_VAR_INT                                                          = 0x00C7,
		COMMAND_VAR_FLOAT                                                        = 0x00C8,
		COMMAND_LVAR_INT                                                         = 0x00C9,
		COMMAND_LVAR_FLOAT                                                       = 0x00CA,
		COMMAND_LOCAL_SCOPE_OPEN                                                 = 0x00CB,
		COMMAND_LOCAL_SCOPE_CLOSE                                                = 0x00CC,
		COMMAND_REPEAT                                                           = 0x00CD,
		COMMAND_ENDREPEAT                                                        = 0x00CE,
		COMMAND_IF                                                               = 0x00CF,
		COMMAND_IFNOT                                                            = 0x00D0,
		COMMAND_ELSE                                                             = 0x00D1,
		COMMAND_ENDIF                                                            = 0x00D2,
		COMMAND_WHILE                                                            = 0x00D3,
		COMMAND_WHILENOT                                                         = 0x00D4,
		COMMAND_ENDWHILE                                                         = 0x00D5,
		COMMAND_ANDOR                                                            = 0x00D6,
		COMMAND_LAUNCH_MISSION                                                   = 0x00D7,
		COMMAND_MISSION_HAS_FINISHED                                             = 0x00D8,
		COMMAND_STORE_CAR_CHAR_IS_IN                                             = 0x00D9,
		COMMAND_STORE_CAR_PLAYER_IS_IN                                           = 0x00DA,
		COMMAND_IS_CHAR_IN_CAR                                                   = 0x00DB,
		COMMAND_IS_PLAYER_IN_CAR                                                 = 0x00DC,
		COMMAND_IS_CHAR_IN_MODEL                                                 = 0x00DD,
		COMMAND_IS_PLAYER_IN_MODEL                                               = 0x00DE,
		COMMAND_IS_CHAR_IN_ANY_CAR                                               = 0x00DF,
		COMMAND_IS_PLAYER_IN_ANY_CAR                                             = 0x00E0,
		COMMAND_IS_BUTTON_PRESSED                                                = 0x00E1,
		COMMAND_GET_PAD_STATE                                                    = 0x00E2,
		COMMAND_LOCATE_PLAYER_ANY_MEANS_2D                                       = 0x00E3,
		COMMAND_LOCATE_PLAYER_ON_FOOT_2D                                         = 0x00E4,
		COMMAND_LOCATE_PLAYER_IN_CAR_2D                                          = 0x00E5,
		COMMAND_LOCATE_STOPPED_PLAYER_ANY_MEANS_2D                               = 0x00E6,
		COMMAND_LOCATE_STOPPED_PLAYER_ON_FOOT_2D                                 = 0x00E7,
		COMMAND_LOCATE_STOPPED_PLAYER_IN_CAR_2D                                  = 0x00E8,
		COMMAND_LOCATE_PLAYER_ANY_MEANS_CHAR_2D                                  = 0x00E9,
		COMMAND_LOCATE_PLAYER_ON_FOOT_CHAR_2D                                    = 0x00EA,
		COMMAND_LOCATE_PLAYER_IN_CAR_CHAR_2D                                     = 0x00EB,
		COMMAND_LOCATE_CHAR_ANY_MEANS_2D                                         = 0x00EC,
		COMMAND_LOCATE_CHAR_ON_FOOT_2D                                           = 0x00ED,
		COMMAND_LOCATE_CHAR_IN_CAR_2D                                            = 0x00EE,
		COMMAND_LOCATE_STOPPED_CHAR_ANY_MEANS_2D                                 = 0x00EF,
		COMMAND_LOCATE_STOPPED_CHAR_ON_FOOT_2D                                   = 0x00F0,
		COMMAND_LOCATE_STOPPED_CHAR_IN_CAR_2D                                    = 0x00F1,
		COMMAND_LOCATE_CHAR_ANY_MEANS_CHAR_2D                                    = 0x00F2,
		COMMAND_LOCATE_CHAR_ON_FOOT_CHAR_2D                                      = 0x00F3,
		COMMAND_LOCATE_CHAR_IN_CAR_CHAR_2D                                       = 0x00F4,
		COMMAND_LOCATE_PLAYER_ANY_MEANS_3D                                       = 0x00F5,
		COMMAND_LOCATE_PLAYER_ON_FOOT_3D                                         = 0x00F6,
		COMMAND_LOCATE_PLAYER_IN_CAR_3D                                          = 0x00F7,
		COMMAND_LOCATE_STOPPED_PLAYER_ANY_MEANS_3D                               = 0x00F8,
		COMMAND_LOCATE_STOPPED_PLAYER_ON_FOOT_3D                                 = 0x00F9,
		COMMAND_LOCATE_STOPPED_PLAYER_IN_CAR_3D                                  = 0x00FA,
		COMMAND_LOCATE_PLAYER_ANY_MEANS_CHAR_3D                                  = 0x00FB,
		COMMAND_LOCATE_PLAYER_ON_FOOT_CHAR_3D                                    = 0x00FC,
		COMMAND_LOCATE_PLAYER_IN_CAR_CHAR_3D                                     = 0x00FD,
		COMMAND_LOCATE_CHAR_ANY_MEANS_3D                                         = 0x00FE,
		COMMAND_LOCATE_CHAR_ON_FOOT_3D                                           = 0x00FF,
		COMMAND_LOCATE_CHAR_IN_CAR_3D                                            = 0x0100,
		COMMAND_LOCATE_STOPPED_CHAR_ANY_MEANS_3D                                 = 0x0101,
		COMMAND_LOCATE_STOPPED_CHAR_ON_FOOT_3D                                   = 0x0102,
		COMMAND_LOCATE_STOPPED_CHAR_IN_CAR_3D                                    = 0x0103,
		COMMAND_LOCATE_CHAR_ANY_MEANS_CHAR_3D                                    = 0x0104,
		COMMAND_LOCATE_CHAR_ON_FOOT_CHAR_3D                                      = 0x0105,
		COMMAND_LOCATE_CHAR_IN_CAR_CHAR_3D                                       = 0x0106,
		COMMAND_CREATE_OBJECT                                                    = 0x0107,
		COMMAND_DELETE_OBJECT                                                    = 0x0108,
		COMMAND_ADD_SCORE                                                        = 0x0109,
		COMMAND_IS_SCORE_GREATER                                                 = 0x010A,
		COMMAND_STORE_SCORE                                                      = 0x010B,
		COMMAND_GIVE_REMOTE_CONTROLLED_CAR_TO_PLAYER                             = 0x010C,
		COMMAND_ALTER_WANTED_LEVEL                                               = 0x010D,
		COMMAND_ALTER_WANTED_LEVEL_NO_DROP                                       = 0x010E,
		COMMAND_IS_WANTED_LEVEL_GREATER                                          = 0x010F,
		COMMAND_CLEAR_WANTED_LEVEL                                               = 0x0110,
		COMMAND_SET_DEATHARREST_STATE                                            = 0x0111,
		COMMAND_HAS_DEATHARREST_BEEN_EXECUTED                                    = 0x0112,
		COMMAND_ADD_AMMO_TO_PLAYER                                               = 0x0113,
		COMMAND_ADD_AMMO_TO_CHAR                                                 = 0x0114,
		COMMAND_ADD_AMMO_TO_CAR                                                  = 0x0115,
		COMMAND_IS_PLAYER_STILL_ALIVE                                            = 0x0116,
		COMMAND_IS_PLAYER_DEAD                                                   = 0x0117,
		COMMAND_IS_CHAR_DEAD                                                     = 0x0118,
		COMMAND_IS_CAR_DEAD                                                      = 0x0119,
		COMMAND_SET_CHAR_THREAT_SEARCH                                           = 0x011A,
		COMMAND_SET_CHAR_THREAT_REACTION                                         = 0x011B,
		COMMAND_SET_CHAR_OBJ_NO_OBJ                                              = 0x011C,
		COMMAND_ORDER_DRIVER_OUT_OF_CAR                                          = 0x011D,
		COMMAND_ORDER_CHAR_TO_DRIVE_CAR                                          = 0x011E,
		COMMAND_ADD_PATROL_POINT                                                 = 0x011F,
		COMMAND_IS_PLAYER_IN_GANGZONE                                            = 0x0120,
		COMMAND_IS_PLAYER_IN_ZONE                                                = 0x0121,
		COMMAND_IS_PLAYER_PRESSING_HORN                                          = 0x0122,
		COMMAND_HAS_CHAR_SPOTTED_PLAYER                                          = 0x0123,
		COMMAND_ORDER_CHAR_TO_BACKDOOR                                           = 0x0124,
		COMMAND_ADD_CHAR_TO_GANG                                                 = 0x0125,
		COMMAND_IS_CHAR_OBJECTIVE_PASSED                                         = 0x0126,
		COMMAND_SET_CHAR_DRIVE_AGGRESSION                                        = 0x0127,
		COMMAND_SET_CHAR_MAX_DRIVESPEED                                          = 0x0128,
		COMMAND_CREATE_CHAR_INSIDE_CAR                                           = 0x0129,
		COMMAND_WARP_PLAYER_FROM_CAR_TO_COORD                                    = 0x012A,
		COMMAND_MAKE_CHAR_DO_NOTHING                                             = 0x012B,
		COMMAND_SET_CHAR_INVINCIBLE                                              = 0x012C,
		COMMAND_SET_PLAYER_INVINCIBLE                                            = 0x012D,
		COMMAND_SET_CHAR_GRAPHIC_TYPE                                            = 0x012E,
		COMMAND_SET_PLAYER_GRAPHIC_TYPE                                          = 0x012F,
		COMMAND_HAS_PLAYER_BEEN_ARRESTED                                         = 0x0130,
		COMMAND_STOP_CHAR_DRIVING                                                = 0x0131,
		COMMAND_KILL_CHAR                                                        = 0x0132,
		COMMAND_SET_FAVOURITE_CAR_MODEL_FOR_CHAR                                 = 0x0133,
		COMMAND_SET_CHAR_OCCUPATION                                              = 0x0134,
		COMMAND_CHANGE_CAR_LOCK                                                  = 0x0135,
		COMMAND_SHAKE_CAM_WITH_POINT                                             = 0x0136,
		COMMAND_IS_CAR_MODEL                                                     = 0x0137,
		COMMAND_IS_CAR_REMAP                                                     = 0x0138,
		COMMAND_HAS_CAR_JUST_SUNK                                                = 0x0139,
		COMMAND_SET_CAR_NO_COLLIDE                                               = 0x013A,
		COMMAND_IS_CAR_DEAD_IN_AREA_2D                                           = 0x013B,
		COMMAND_IS_CAR_DEAD_IN_AREA_3D                                           = 0x013C,
		COMMAND_IS_TRAILER_ATTACHED                                              = 0x013D,
		COMMAND_IS_CAR_ON_TRAILER                                                = 0x013E,
		COMMAND_HAS_CAR_GOT_WEAPON                                               = 0x013F,
		COMMAND_PARK                                                             = 0x0140,
		COMMAND_HAS_PARK_FINISHED                                                = 0x0141,
		COMMAND_KILL_ALL_PASSENGERS                                              = 0x0142,
		COMMAND_SET_CAR_BULLETPROOF                                              = 0x0143,
		COMMAND_SET_CAR_FLAMEPROOF                                               = 0x0144,
		COMMAND_SET_CAR_ROCKETPROOF                                              = 0x0145,
		COMMAND_IS_CARBOMB_ACTIVE                                                = 0x0146,
		COMMAND_GIVE_CAR_ALARM                                                   = 0x0147,
		COMMAND_PUT_CAR_ON_TRAILER                                               = 0x0148,
		COMMAND_IS_CAR_CRUSHED                                                   = 0x0149,
		COMMAND_CREATE_GANG_CAR                                                  = 0x014A,
		COMMAND_CREATE_CAR_GENERATOR                                             = 0x014B,
		COMMAND_SWITCH_CAR_GENERATOR                                             = 0x014C,
		COMMAND_ADD_PAGER_MESSAGE                                                = 0x014D,
		COMMAND_DISPLAY_ONSCREEN_TIMER                                           = 0x014E,
		COMMAND_CLEAR_ONSCREEN_TIMER                                             = 0x014F,
		COMMAND_DISPLAY_ONSCREEN_COUNTER                                         = 0x0150,
		COMMAND_CLEAR_ONSCREEN_COUNTER                                           = 0x0151,
		COMMAND_SET_ZONE_CAR_INFO                                                = 0x0152,
		COMMAND_IS_CHAR_IN_GANG_ZONE                                             = 0x0153,
		COMMAND_IS_CHAR_IN_ZONE                                                  = 0x0154,
		COMMAND_SET_CAR_DENSITY                                                  = 0x0155,
		COMMAND_SET_PED_DENSITY                                                  = 0x0156,
		COMMAND_POINT_CAMERA_AT_PLAYER                                           = 0x0157,
		COMMAND_POINT_CAMERA_AT_CAR                                              = 0x0158,
		COMMAND_POINT_CAMERA_AT_CHAR                                             = 0x0159,
		COMMAND_RESTORE_CAMERA                                                   = 0x015A,
		COMMAND_SHAKE_PAD                                                        = 0x015B,
		COMMAND_SET_ZONE_PED_INFO                                                = 0x015C,
		COMMAND_SET_TIME_SCALE                                                   = 0x015D,
		COMMAND_IS_CAR_IN_AIR                                                    = 0x015E,
		COMMAND_SET_FIXED_CAMERA_POSITION                                        = 0x015F,
		COMMAND_POINT_CAMERA_AT_POINT                                            = 0x0160,
		COMMAND_ADD_BLIP_FOR_CAR_OLD                                             = 0x0161,
		COMMAND_ADD_BLIP_FOR_CHAR_OLD                                            = 0x0162,
		COMMAND_ADD_BLIP_FOR_OBJECT_OLD                                          = 0x0163,
		COMMAND_REMOVE_BLIP                                                      = 0x0164,
		COMMAND_CHANGE_BLIP_COLOUR                                               = 0x0165,
		COMMAND_DIM_BLIP                                                         = 0x0166,
		COMMAND_ADD_BLIP_FOR_COORD_OLD                                           = 0x0167,
		COMMAND_CHANGE_BLIP_SCALE                                                = 0x0168,
		COMMAND_SET_FADING_COLOUR                                                = 0x0169,
		COMMAND_DO_FADE                                                          = 0x016A,
		COMMAND_GET_FADING_STATUS                                                = 0x016B,
		COMMAND_ADD_HOSPITAL_RESTART                                             = 0x016C,
		COMMAND_ADD_POLICE_RESTART                                               = 0x016D,
		COMMAND_OVERRIDE_NEXT_RESTART                                            = 0x016E,
		COMMAND_DRAW_SHADOW                                                      = 0x016F,
		COMMAND_GET_PLAYER_HEADING                                               = 0x0170,
		COMMAND_SET_PLAYER_HEADING                                               = 0x0171,
		COMMAND_GET_CHAR_HEADING                                                 = 0x0172,
		COMMAND_SET_CHAR_HEADING                                                 = 0x0173,
		COMMAND_GET_CAR_HEADING                                                  = 0x0174,
		COMMAND_SET_CAR_HEADING                                                  = 0x0175,
		COMMAND_GET_OBJECT_HEADING                                               = 0x0176,
		COMMAND_SET_OBJECT_HEADING                                               = 0x0177,
		COMMAND_IS_PLAYER_TOUCHING_OBJECT                                        = 0x0178,
		COMMAND_IS_CHAR_TOUCHING_OBJECT                                          = 0x0179,
		COMMAND_SET_PLAYER_AMMO                                                  = 0x017A,
		COMMAND_SET_CHAR_AMMO                                                    = 0x017B,
		COMMAND_SET_CAR_AMMO                                                     = 0x017C,
		COMMAND_LOAD_CAMERA_SPLINE                                               = 0x017D,
		COMMAND_MOVE_CAMERA_ALONG_SPLINE                                         = 0x017E,
		COMMAND_GET_CAMERA_POSITION_ALONG_SPLINE                                 = 0x017F,
		COMMAND_DECLARE_MISSION_FLAG                                             = 0x0180,
		COMMAND_DECLARE_MISSION_FLAG_FOR_CONTACT                                 = 0x0181,
		COMMAND_DECLARE_BASE_BRIEF_ID_FOR_CONTACT                                = 0x0182,
		COMMAND_IS_PLAYER_HEALTH_GREATER                                         = 0x0183,
		COMMAND_IS_CHAR_HEALTH_GREATER                                           = 0x0184,
		COMMAND_IS_CAR_HEALTH_GREATER                                            = 0x0185,
		COMMAND_ADD_BLIP_FOR_CAR                                                 = 0x0186,
		COMMAND_ADD_BLIP_FOR_CHAR                                                = 0x0187,
		COMMAND_ADD_BLIP_FOR_OBJECT                                              = 0x0188,
		COMMAND_ADD_BLIP_FOR_CONTACT_POINT                                       = 0x0189,
		COMMAND_ADD_BLIP_FOR_COORD                                               = 0x018A,
		COMMAND_CHANGE_BLIP_DISPLAY                                              = 0x018B,
		COMMAND_ADD_ONE_OFF_SOUND                                                = 0x018C,
		COMMAND_ADD_CONTINUOUS_SOUND                                             = 0x018D,
		COMMAND_REMOVE_SOUND                                                     = 0x018E,
		COMMAND_IS_CAR_STUCK_ON_ROOF                                             = 0x018F,
		COMMAND_ADD_UPSIDEDOWN_CAR_CHECK                                         = 0x0190,
		COMMAND_REMOVE_UPSIDEDOWN_CAR_CHECK                                      = 0x0191,
		COMMAND_SET_CHAR_OBJ_WAIT_ON_FOOT                                        = 0x0192,
		COMMAND_SET_CHAR_OBJ_FLEE_ON_FOOT_TILL_SAFE                              = 0x0193,
		COMMAND_SET_CHAR_OBJ_GUARD_SPOT                                          = 0x0194,
		COMMAND_SET_CHAR_OBJ_GUARD_AREA                                          = 0x0195,
		COMMAND_SET_CHAR_OBJ_WAIT_IN_CAR                                         = 0x0196,
		COMMAND_IS_PLAYER_IN_AREA_ON_FOOT_2D                                     = 0x0197,
		COMMAND_IS_PLAYER_IN_AREA_IN_CAR_2D                                      = 0x0198,
		COMMAND_IS_PLAYER_STOPPED_IN_AREA_2D                                     = 0x0199,
		COMMAND_IS_PLAYER_STOPPED_IN_AREA_ON_FOOT_2D                             = 0x019A,
		COMMAND_IS_PLAYER_STOPPED_IN_AREA_IN_CAR_2D                              = 0x019B,
		COMMAND_IS_PLAYER_IN_AREA_ON_FOOT_3D                                     = 0x019C,
		COMMAND_IS_PLAYER_IN_AREA_IN_CAR_3D                                      = 0x019D,
		COMMAND_IS_PLAYER_STOPPED_IN_AREA_3D                                     = 0x019E,
		COMMAND_IS_PLAYER_STOPPED_IN_AREA_ON_FOOT_3D                             = 0x019F,
		COMMAND_IS_PLAYER_STOPPED_IN_AREA_IN_CAR_3D                              = 0x01A0,
		COMMAND_IS_CHAR_IN_AREA_ON_FOOT_2D                                       = 0x01A1,
		COMMAND_IS_CHAR_IN_AREA_IN_CAR_2D                                        = 0x01A2,
		COMMAND_IS_CHAR_STOPPED_IN_AREA_2D                                       = 0x01A3,
		COMMAND_IS_CHAR_STOPPED_IN_AREA_ON_FOOT_2D                               = 0x01A4,
		COMMAND_IS_CHAR_STOPPED_IN_AREA_IN_CAR_2D                                = 0x01A5,
		COMMAND_IS_CHAR_IN_AREA_ON_FOOT_3D                                       = 0x01A6,
		COMMAND_IS_CHAR_IN_AREA_IN_CAR_3D                                        = 0x01A7,
		COMMAND_IS_CHAR_STOPPED_IN_AREA_3D                                       = 0x01A8,
		COMMAND_IS_CHAR_STOPPED_IN_AREA_ON_FOOT_3D                               = 0x01A9,
		COMMAND_IS_CHAR_STOPPED_IN_AREA_IN_CAR_3D                                = 0x01AA,
		COMMAND_IS_CAR_STOPPED_IN_AREA_2D                                        = 0x01AB,
		COMMAND_IS_CAR_STOPPED_IN_AREA_3D                                        = 0x01AC,
		COMMAND_LOCATE_CAR_2D                                                    = 0x01AD,
		COMMAND_LOCATE_STOPPED_CAR_2D                                            = 0x01AE,
		COMMAND_LOCATE_CAR_3D                                                    = 0x01AF,
		COMMAND_LOCATE_STOPPED_CAR_3D                                            = 0x01B0,
		COMMAND_GIVE_WEAPON_TO_PLAYER                                            = 0x01B1,
		COMMAND_GIVE_WEAPON_TO_CHAR                                              = 0x01B2,
		COMMAND_GIVE_WEAPON_TO_CAR                                               = 0x01B3,
		COMMAND_SET_PLAYER_CONTROL                                               = 0x01B4,
		COMMAND_FORCE_WEATHER                                                    = 0x01B5,
		COMMAND_FORCE_WEATHER_NOW                                                = 0x01B6,
		COMMAND_RELEASE_WEATHER                                                  = 0x01B7,
		COMMAND_SET_CURRENT_PLAYER_WEAPON                                        = 0x01B8,
		COMMAND_SET_CURRENT_CHAR_WEAPON                                          = 0x01B9,
		COMMAND_SET_CURRENT_CAR_WEAPON                                           = 0x01BA,
		COMMAND_GET_OBJECT_COORDINATES                                           = 0x01BB,
		COMMAND_SET_OBJECT_COORDINATES                                           = 0x01BC,
		COMMAND_GET_GAME_TIMER                                                   = 0x01BD,
		COMMAND_TURN_CHAR_TO_FACE_COORD                                          = 0x01BE,
		COMMAND_TURN_PLAYER_TO_FACE_COORD                                        = 0x01BF,
		COMMAND_STORE_WANTED_LEVEL                                               = 0x01C0,
		COMMAND_IS_CAR_STOPPED                                                   = 0x01C1,
		COMMAND_MARK_CHAR_AS_NO_LONGER_NEEDED                                    = 0x01C2,
		COMMAND_MARK_CAR_AS_NO_LONGER_NEEDED                                     = 0x01C3,
		COMMAND_MARK_OBJECT_AS_NO_LONGER_NEEDED                                  = 0x01C4,
		COMMAND_DONT_REMOVE_CHAR                                                 = 0x01C5,
		COMMAND_DONT_REMOVE_CAR                                                  = 0x01C6,
		COMMAND_DONT_REMOVE_OBJECT                                               = 0x01C7,
		COMMAND_CREATE_CHAR_AS_PASSENGER                                         = 0x01C8,
		COMMAND_SET_CHAR_OBJ_KILL_CHAR_ON_FOOT                                   = 0x01C9,
		COMMAND_SET_CHAR_OBJ_KILL_PLAYER_ON_FOOT                                 = 0x01CA,
		COMMAND_SET_CHAR_OBJ_KILL_CHAR_ANY_MEANS                                 = 0x01CB,
		COMMAND_SET_CHAR_OBJ_KILL_PLAYER_ANY_MEANS                               = 0x01CC,
		COMMAND_SET_CHAR_OBJ_FLEE_CHAR_ON_FOOT_TILL_SAFE                         = 0x01CD,
		COMMAND_SET_CHAR_OBJ_FLEE_PLAYER_ON_FOOT_TILL_SAFE                       = 0x01CE,
		COMMAND_SET_CHAR_OBJ_FLEE_CHAR_ON_FOOT_ALWAYS                            = 0x01CF,
		COMMAND_SET_CHAR_OBJ_FLEE_PLAYER_ON_FOOT_ALWAYS                          = 0x01D0,
		COMMAND_SET_CHAR_OBJ_GOTO_CHAR_ON_FOOT                                   = 0x01D1,
		COMMAND_SET_CHAR_OBJ_GOTO_PLAYER_ON_FOOT                                 = 0x01D2,
		COMMAND_SET_CHAR_OBJ_LEAVE_CAR                                           = 0x01D3,
		COMMAND_SET_CHAR_OBJ_ENTER_CAR_AS_PASSENGER                              = 0x01D4,
		COMMAND_SET_CHAR_OBJ_ENTER_CAR_AS_DRIVER                                 = 0x01D5,
		COMMAND_SET_CHAR_OBJ_FOLLOW_CAR_IN_CAR                                   = 0x01D6,
		COMMAND_SET_CHAR_OBJ_FIRE_AT_OBJECT_FROM_VEHICLE                         = 0x01D7,
		COMMAND_SET_CHAR_OBJ_DESTROY_OBJECT                                      = 0x01D8,
		COMMAND_SET_CHAR_OBJ_DESTROY_CAR                                         = 0x01D9,
		COMMAND_SET_CHAR_OBJ_GOTO_AREA_ON_FOOT                                   = 0x01DA,
		COMMAND_SET_CHAR_OBJ_GOTO_AREA_IN_CAR                                    = 0x01DB,
		COMMAND_SET_CHAR_OBJ_FOLLOW_CAR_ON_FOOT_WITH_OFFSET                      = 0x01DC,
		COMMAND_SET_CHAR_OBJ_GUARD_ATTACK                                        = 0x01DD,
		COMMAND_SET_CHAR_AS_LEADER                                               = 0x01DE,
		COMMAND_SET_PLAYER_AS_LEADER                                             = 0x01DF,
		COMMAND_LEAVE_GROUP                                                      = 0x01E0,
		COMMAND_SET_CHAR_OBJ_FOLLOW_ROUTE                                        = 0x01E1,
		COMMAND_ADD_ROUTE_POINT                                                  = 0x01E2,
		COMMAND_PRINT_WITH_NUMBER_BIG                                            = 0x01E3,
		COMMAND_PRINT_WITH_NUMBER                                                = 0x01E4,
		COMMAND_PRINT_WITH_NUMBER_NOW                                            = 0x01E5,
		COMMAND_PRINT_WITH_NUMBER_SOON                                           = 0x01E6,
		COMMAND_SWITCH_ROADS_ON                                                  = 0x01E7,
		COMMAND_SWITCH_ROADS_OFF                                                 = 0x01E8,
		COMMAND_GET_NUMBER_OF_PASSENGERS                                         = 0x01E9,
		COMMAND_GET_MAXIMUM_NUMBER_OF_PASSENGERS                                 = 0x01EA,
		COMMAND_SET_CAR_DENSITY_MULTIPLIER                                       = 0x01EB,
		COMMAND_SET_CAR_HEAVY                                                    = 0x01EC,
		COMMAND_CLEAR_CHAR_THREAT_SEARCH                                         = 0x01ED,
		COMMAND_ACTIVATE_CRANE                                                   = 0x01EE,
		COMMAND_DEACTIVATE_CRANE                                                 = 0x01EF,
		COMMAND_SET_MAX_WANTED_LEVEL                                             = 0x01F0,
		COMMAND_SAVE_VAR_INT                                                     = 0x01F1,
		COMMAND_SAVE_VAR_FLOAT                                                   = 0x01F2,
		COMMAND_IS_CAR_IN_AIR_PROPER                                             = 0x01F3,
		COMMAND_IS_CAR_UPSIDEDOWN                                                = 0x01F4,
		COMMAND_GET_PLAYER_CHAR                                                  = 0x01F5,
		COMMAND_CANCEL_OVERRIDE_RESTART                                          = 0x01F6,
		COMMAND_SET_POLICE_IGNORE_PLAYER                                         = 0x01F7,
		COMMAND_ADD_PAGER_MESSAGE_WITH_NUMBER                                    = 0x01F8,
		COMMAND_START_KILL_FRENZY                                                = 0x01F9,
		COMMAND_READ_KILL_FRENZY_STATUS                                          = 0x01FA,
		COMMAND_SQRT                                                             = 0x01FB,
		COMMAND_LOCATE_PLAYER_ANY_MEANS_CAR_2D                                   = 0x01FC,
		COMMAND_LOCATE_PLAYER_ON_FOOT_CAR_2D                                     = 0x01FD,
		COMMAND_LOCATE_PLAYER_IN_CAR_CAR_2D                                      = 0x01FE,
		COMMAND_LOCATE_PLAYER_ANY_MEANS_CAR_3D                                   = 0x01FF,
		COMMAND_LOCATE_PLAYER_ON_FOOT_CAR_3D                                     = 0x0200,
		COMMAND_LOCATE_PLAYER_IN_CAR_CAR_3D                                      = 0x0201,
		COMMAND_LOCATE_CHAR_ANY_MEANS_CAR_2D                                     = 0x0202,
		COMMAND_LOCATE_CHAR_ON_FOOT_CAR_2D                                       = 0x0203,
		COMMAND_LOCATE_CHAR_IN_CAR_CAR_2D                                        = 0x0204,
		COMMAND_LOCATE_CHAR_ANY_MEANS_CAR_3D                                     = 0x0205,
		COMMAND_LOCATE_CHAR_ON_FOOT_CAR_3D                                       = 0x0206,
		COMMAND_LOCATE_CHAR_IN_CAR_CAR_3D                                        = 0x0207,
		COMMAND_GENERATE_RANDOM_FLOAT_IN_RANGE                                   = 0x0208,
		COMMAND_GENERATE_RANDOM_INT_IN_RANGE                                     = 0x0209,
		COMMAND_LOCK_CAR_DOORS                                                   = 0x020A,
		COMMAND_EXPLODE_CAR                                                      = 0x020B,
		COMMAND_ADD_EXPLOSION                                                    = 0x020C,
		COMMAND_IS_CAR_UPRIGHT                                                   = 0x020D,
		COMMAND_TURN_CHAR_TO_FACE_CHAR                                           = 0x020E,
		COMMAND_TURN_CHAR_TO_FACE_PLAYER                                         = 0x020F,
		COMMAND_TURN_PLAYER_TO_FACE_CHAR                                         = 0x0210,
		COMMAND_SET_CHAR_OBJ_GOTO_COORD_ON_FOOT                                  = 0x0211,
		COMMAND_SET_CHAR_OBJ_GOTO_COORD_IN_CAR                                   = 0x0212,
		COMMAND_CREATE_PICKUP                                                    = 0x0213,
		COMMAND_HAS_PICKUP_BEEN_COLLECTED                                        = 0x0214,
		COMMAND_REMOVE_PICKUP                                                    = 0x0215,
		COMMAND_SET_TAXI_LIGHTS                                                  = 0x0216,
		COMMAND_PRINT_BIG_Q                                                      = 0x0217,
		COMMAND_PRINT_WITH_NUMBER_BIG_Q                                          = 0x0218,
		COMMAND_SET_GARAGE                                                       = 0x0219,
		COMMAND_SET_GARAGE_WITH_CAR_MODEL                                        = 0x021A,
		COMMAND_SET_TARGET_CAR_FOR_MISSION_GARAGE                                = 0x021B,
		COMMAND_IS_CAR_IN_MISSION_GARAGE                                         = 0x021C,
		COMMAND_SET_FREE_BOMBS                                                   = 0x021D,
		COMMAND_SET_POWERPOINT                                                   = 0x021E,
		COMMAND_SET_ALL_TAXI_LIGHTS                                              = 0x021F,
		COMMAND_IS_CAR_ARMED_WITH_ANY_BOMB                                       = 0x0220,
		COMMAND_APPLY_BRAKES_TO_PLAYERS_CAR                                      = 0x0221,
		COMMAND_SET_PLAYER_HEALTH                                                = 0x0222,
		COMMAND_SET_CHAR_HEALTH                                                  = 0x0223,
		COMMAND_SET_CAR_HEALTH                                                   = 0x0224,
		COMMAND_GET_PLAYER_HEALTH                                                = 0x0225,
		COMMAND_GET_CHAR_HEALTH                                                  = 0x0226,
		COMMAND_GET_CAR_HEALTH                                                   = 0x0227,
		COMMAND_IS_CAR_ARMED_WITH_BOMB                                           = 0x0228,
		COMMAND_CHANGE_CAR_COLOUR                                                = 0x0229,
		COMMAND_SWITCH_PED_ROADS_ON                                              = 0x022A,
		COMMAND_SWITCH_PED_ROADS_OFF                                             = 0x022B,
		COMMAND_CHAR_LOOK_AT_CHAR_ALWAYS                                         = 0x022C,
		COMMAND_CHAR_LOOK_AT_PLAYER_ALWAYS                                       = 0x022D,
		COMMAND_PLAYER_LOOK_AT_CHAR_ALWAYS                                       = 0x022E,
		COMMAND_STOP_CHAR_LOOKING                                                = 0x022F,
		COMMAND_STOP_PLAYER_LOOKING                                              = 0x0230,
		COMMAND_SWITCH_HELICOPTER                                                = 0x0231,
		COMMAND_SET_GANG_ATTITUDE                                                = 0x0232,
		COMMAND_SET_GANG_GANG_ATTITUDE                                           = 0x0233,
		COMMAND_SET_GANG_PLAYER_ATTITUDE                                         = 0x0234,
		COMMAND_SET_GANG_PED_MODELS                                              = 0x0235,
		COMMAND_SET_GANG_CAR_MODEL                                               = 0x0236,
		COMMAND_SET_GANG_WEAPONS                                                 = 0x0237,
		COMMAND_SET_CHAR_OBJ_RUN_TO_AREA                                         = 0x0238,
		COMMAND_SET_CHAR_OBJ_RUN_TO_COORD                                        = 0x0239,
		COMMAND_IS_PLAYER_TOUCHING_OBJECT_ON_FOOT                                = 0x023A,
		COMMAND_IS_CHAR_TOUCHING_OBJECT_ON_FOOT                                  = 0x023B,
		COMMAND_LOAD_SPECIAL_CHARACTER                                           = 0x023C,
		COMMAND_HAS_SPECIAL_CHARACTER_LOADED                                     = 0x023D,
		COMMAND_FLASH_CAR                                                        = 0x023E,
		COMMAND_FLASH_CHAR                                                       = 0x023F,
		COMMAND_FLASH_OBJECT                                                     = 0x0240,
		COMMAND_IS_PLAYER_IN_REMOTE_MODE                                         = 0x0241,
		COMMAND_ARM_CAR_WITH_BOMB                                                = 0x0242,
		COMMAND_SET_CHAR_PERSONALITY                                             = 0x0243,
		COMMAND_SET_CUTSCENE_OFFSET                                              = 0x0244,
		COMMAND_SET_ANIM_GROUP_FOR_CHAR                                          = 0x0245,
		COMMAND_SET_ANIM_GROUP_FOR_PLAYER                                        = 0x0246,
		COMMAND_REQUEST_MODEL                                                    = 0x0247,
		COMMAND_HAS_MODEL_LOADED                                                 = 0x0248,
		COMMAND_MARK_MODEL_AS_NO_LONGER_NEEDED                                   = 0x0249,
		COMMAND_GRAB_PHONE                                                       = 0x024A,
		COMMAND_SET_REPEATED_PHONE_MESSAGE                                       = 0x024B,
		COMMAND_SET_PHONE_MESSAGE                                                = 0x024C,
		COMMAND_HAS_PHONE_DISPLAYED_MESSAGE                                      = 0x024D,
		COMMAND_TURN_PHONE_OFF                                                   = 0x024E,
		COMMAND_DRAW_CORONA                                                      = 0x024F,
		COMMAND_DRAW_LIGHT                                                       = 0x0250,
		COMMAND_STORE_WEATHER                                                    = 0x0251,
		COMMAND_RESTORE_WEATHER                                                  = 0x0252,
		COMMAND_STORE_CLOCK                                                      = 0x0253,
		COMMAND_RESTORE_CLOCK                                                    = 0x0254,
		COMMAND_RESTART_CRITICAL_MISSION                                         = 0x0255,
		COMMAND_IS_PLAYER_PLAYING                                                = 0x0256,
		COMMAND_SET_COLL_OBJ_NO_OBJ                                              = 0x0257,
		COMMAND_SET_COLL_OBJ_WAIT_ON_FOOT                                        = 0x0258,
		COMMAND_SET_COLL_OBJ_FLEE_ON_FOOT_TILL_SAFE                              = 0x0259,
		COMMAND_SET_COLL_OBJ_GUARD_SPOT                                          = 0x025A,
		COMMAND_SET_COLL_OBJ_GUARD_AREA                                          = 0x025B,
		COMMAND_SET_COLL_OBJ_WAIT_IN_CAR                                         = 0x025C,
		COMMAND_SET_COLL_OBJ_KILL_CHAR_ON_FOOT                                   = 0x025D,
		COMMAND_SET_COLL_OBJ_KILL_PLAYER_ON_FOOT                                 = 0x025E,
		COMMAND_SET_COLL_OBJ_KILL_CHAR_ANY_MEANS                                 = 0x025F,
		COMMAND_SET_COLL_OBJ_KILL_PLAYER_ANY_MEANS                               = 0x0260,
		COMMAND_SET_COLL_OBJ_FLEE_CHAR_ON_FOOT_TILL_SAFE                         = 0x0261,
		COMMAND_SET_COLL_OBJ_FLEE_PLAYER_ON_FOOT_TILL_SAFE                       = 0x0262,
		COMMAND_SET_COLL_OBJ_FLEE_CHAR_ON_FOOT_ALWAYS                            = 0x0263,
		COMMAND_SET_COLL_OBJ_FLEE_PLAYER_ON_FOOT_ALWAYS                          = 0x0264,
		COMMAND_SET_COLL_OBJ_GOTO_CHAR_ON_FOOT                                   = 0x0265,
		COMMAND_SET_COLL_OBJ_GOTO_PLAYER_ON_FOOT                                 = 0x0266,
		COMMAND_SET_COLL_OBJ_LEAVE_CAR                                           = 0x0267,
		COMMAND_SET_COLL_OBJ_ENTER_CAR_AS_PASSENGER                              = 0x0268,
		COMMAND_SET_COLL_OBJ_ENTER_CAR_AS_DRIVER                                 = 0x0269,
		COMMAND_SET_COLL_OBJ_FOLLOW_CAR_IN_CAR                                   = 0x026A,
		COMMAND_SET_COLL_OBJ_FIRE_AT_OBJECT_FROM_VEHICLE                         = 0x026B,
		COMMAND_SET_COLL_OBJ_DESTROY_OBJECT                                      = 0x026C,
		COMMAND_SET_COLL_OBJ_DESTROY_CAR                                         = 0x026D,
		COMMAND_SET_COLL_OBJ_GOTO_AREA_ON_FOOT                                   = 0x026E,
		COMMAND_SET_COLL_OBJ_GOTO_AREA_IN_CAR                                    = 0x026F,
		COMMAND_SET_COLL_OBJ_FOLLOW_CAR_ON_FOOT_WITH_OFFSET                      = 0x0270,
		COMMAND_SET_COLL_OBJ_GUARD_ATTACK                                        = 0x0271,
		COMMAND_SET_COLL_OBJ_FOLLOW_ROUTE                                        = 0x0272,
		COMMAND_SET_COLL_OBJ_GOTO_COORD_ON_FOOT                                  = 0x0273,
		COMMAND_SET_COLL_OBJ_GOTO_COORD_IN_CAR                                   = 0x0274,
		COMMAND_SET_COLL_OBJ_RUN_TO_AREA                                         = 0x0275,
		COMMAND_SET_COLL_OBJ_RUN_TO_COORD                                        = 0x0276,
		COMMAND_ADD_PEDS_IN_AREA_TO_COLL                                         = 0x0277,
		COMMAND_ADD_PEDS_IN_VEHICLE_TO_COLL                                      = 0x0278,
		COMMAND_CLEAR_COLL                                                       = 0x0279,
		COMMAND_IS_COLL_IN_CARS                                                  = 0x027A,
		COMMAND_LOCATE_COLL_ANY_MEANS_2D                                         = 0x027B,
		COMMAND_LOCATE_COLL_ON_FOOT_2D                                           = 0x027C,
		COMMAND_LOCATE_COLL_IN_CAR_2D                                            = 0x027D,
		COMMAND_LOCATE_STOPPED_COLL_ANY_MEANS_2D                                 = 0x027E,
		COMMAND_LOCATE_STOPPED_COLL_ON_FOOT_2D                                   = 0x027F,
		COMMAND_LOCATE_STOPPED_COLL_IN_CAR_2D                                    = 0x0280,
		COMMAND_LOCATE_COLL_ANY_MEANS_CHAR_2D                                    = 0x0281,
		COMMAND_LOCATE_COLL_ON_FOOT_CHAR_2D                                      = 0x0282,
		COMMAND_LOCATE_COLL_IN_CAR_CHAR_2D                                       = 0x0283,
		COMMAND_LOCATE_COLL_ANY_MEANS_CAR_2D                                     = 0x0284,
		COMMAND_LOCATE_COLL_ON_FOOT_CAR_2D                                       = 0x0285,
		COMMAND_LOCATE_COLL_IN_CAR_CAR_2D                                        = 0x0286,
		COMMAND_LOCATE_COLL_ANY_MEANS_PLAYER_2D                                  = 0x0287,
		COMMAND_LOCATE_COLL_ON_FOOT_PLAYER_2D                                    = 0x0288,
		COMMAND_LOCATE_COLL_IN_CAR_PLAYER_2D                                     = 0x0289,
		COMMAND_IS_COLL_IN_AREA_2D                                               = 0x028A,
		COMMAND_IS_COLL_IN_AREA_ON_FOOT_2D                                       = 0x028B,
		COMMAND_IS_COLL_IN_AREA_IN_CAR_2D                                        = 0x028C,
		COMMAND_IS_COLL_STOPPED_IN_AREA_2D                                       = 0x028D,
		COMMAND_IS_COLL_STOPPED_IN_AREA_ON_FOOT_2D                               = 0x028E,
		COMMAND_IS_COLL_STOPPED_IN_AREA_IN_CAR_2D                                = 0x028F,
		COMMAND_GET_NUMBER_OF_PEDS_IN_COLL                                       = 0x0290,
		COMMAND_SET_CHAR_HEED_THREATS                                            = 0x0291,
		COMMAND_SET_PLAYER_HEED_THREATS                                          = 0x0292,
		COMMAND_GET_CONTROLLER_MODE                                              = 0x0293,
		COMMAND_SET_CAN_RESPRAY_CAR                                              = 0x0294,
		COMMAND_IS_TAXI                                                          = 0x0295,
		COMMAND_UNLOAD_SPECIAL_CHARACTER                                         = 0x0296,
		COMMAND_RESET_NUM_OF_MODELS_KILLED_BY_PLAYER                             = 0x0297,
		COMMAND_GET_NUM_OF_MODELS_KILLED_BY_PLAYER                               = 0x0298,
		COMMAND_ACTIVATE_GARAGE                                                  = 0x0299,
		COMMAND_SWITCH_TAXI_TIMER                                                = 0x029A,
		COMMAND_CREATE_OBJECT_NO_OFFSET                                          = 0x029B,
		COMMAND_IS_BOAT                                                          = 0x029C,
		COMMAND_SET_CHAR_OBJ_GOTO_AREA_ANY_MEANS                                 = 0x029D,
		COMMAND_SET_COLL_OBJ_GOTO_AREA_ANY_MEANS                                 = 0x029E,
		COMMAND_IS_PLAYER_STOPPED                                                = 0x029F,
		COMMAND_IS_CHAR_STOPPED                                                  = 0x02A0,
		COMMAND_MESSAGE_WAIT                                                     = 0x02A1,
		COMMAND_ADD_PARTICLE_EFFECT                                              = 0x02A2,
		COMMAND_SWITCH_WIDESCREEN                                                = 0x02A3,
		COMMAND_ADD_SPRITE_BLIP_FOR_CAR                                          = 0x02A4,
		COMMAND_ADD_SPRITE_BLIP_FOR_CHAR                                         = 0x02A5,
		COMMAND_ADD_SPRITE_BLIP_FOR_OBJECT                                       = 0x02A6,
		COMMAND_ADD_SPRITE_BLIP_FOR_CONTACT_POINT                                = 0x02A7,
		COMMAND_ADD_SPRITE_BLIP_FOR_COORD                                        = 0x02A8,
		COMMAND_SET_CHAR_ONLY_DAMAGED_BY_PLAYER                                  = 0x02A9,
		COMMAND_SET_CAR_ONLY_DAMAGED_BY_PLAYER                                   = 0x02AA,
		COMMAND_SET_CHAR_PROOFS                                                  = 0x02AB,
		COMMAND_SET_CAR_PROOFS                                                   = 0x02AC,
		COMMAND_IS_PLAYER_IN_ANGLED_AREA_2D                                      = 0x02AD,
		COMMAND_IS_PLAYER_IN_ANGLED_AREA_ON_FOOT_2D                              = 0x02AE,
		COMMAND_IS_PLAYER_IN_ANGLED_AREA_IN_CAR_2D                               = 0x02AF,
		COMMAND_IS_PLAYER_STOPPED_IN_ANGLED_AREA_2D                              = 0x02B0,
		COMMAND_IS_PLAYER_STOPPED_IN_ANGLED_AREA_ON_FOOT_2D                      = 0x02B1,
		COMMAND_IS_PLAYER_STOPPED_IN_ANGLED_AREA_IN_CAR_2D                       = 0x02B2,
		COMMAND_IS_PLAYER_IN_ANGLED_AREA_3D                                      = 0x02B3,
		COMMAND_IS_PLAYER_IN_ANGLED_AREA_ON_FOOT_3D                              = 0x02B4,
		COMMAND_IS_PLAYER_IN_ANGLED_AREA_IN_CAR_3D                               = 0x02B5,
		COMMAND_IS_PLAYER_STOPPED_IN_ANGLED_AREA_3D                              = 0x02B6,
		COMMAND_IS_PLAYER_STOPPED_IN_ANGLED_AREA_ON_FOOT_3D                      = 0x02B7,
		COMMAND_IS_PLAYER_STOPPED_IN_ANGLED_AREA_IN_CAR_3D                       = 0x02B8,
		COMMAND_DEACTIVATE_GARAGE                                                = 0x02B9,
		COMMAND_GET_NUMBER_OF_CARS_COLLECTED_BY_GARAGE                           = 0x02BA,
		COMMAND_HAS_CAR_BEEN_TAKEN_TO_GARAGE                                     = 0x02BB,
		COMMAND_SET_SWAT_REQUIRED                                                = 0x02BC,
		COMMAND_SET_FBI_REQUIRED                                                 = 0x02BD,
		COMMAND_SET_ARMY_REQUIRED                                                = 0x02BE,
		COMMAND_IS_CAR_IN_WATER                                                  = 0x02BF,
		COMMAND_GET_CLOSEST_CHAR_NODE                                            = 0x02C0,
		COMMAND_GET_CLOSEST_CAR_NODE                                             = 0x02C1,
		COMMAND_CAR_GOTO_COORDINATES_ACCURATE                                    = 0x02C2,
		COMMAND_START_PACMAN_RACE                                                = 0x02C3,
		COMMAND_START_PACMAN_RECORD                                              = 0x02C4,
		COMMAND_GET_NUMBER_OF_POWER_PILLS_EATEN                                  = 0x02C5,
		COMMAND_CLEAR_PACMAN                                                     = 0x02C6,
		COMMAND_START_PACMAN_SCRAMBLE                                            = 0x02C7,
		COMMAND_GET_NUMBER_OF_POWER_PILLS_CARRIED                                = 0x02C8,
		COMMAND_CLEAR_NUMBER_OF_POWER_PILLS_CARRIED                              = 0x02C9,
		COMMAND_IS_CAR_ON_SCREEN                                                 = 0x02CA,
		COMMAND_IS_CHAR_ON_SCREEN                                                = 0x02CB,
		COMMAND_IS_OBJECT_ON_SCREEN                                              = 0x02CC,
		COMMAND_GOSUB_FILE                                                       = 0x02CD,
		COMMAND_GET_GROUND_Z_FOR_3D_COORD                                        = 0x02CE,
		COMMAND_START_SCRIPT_FIRE                                                = 0x02CF,
		COMMAND_IS_SCRIPT_FIRE_EXTINGUISHED                                      = 0x02D0,
		COMMAND_REMOVE_SCRIPT_FIRE                                               = 0x02D1,
		COMMAND_SET_COMEDY_CONTROLS                                              = 0x02D2,
		COMMAND_BOAT_GOTO_COORDS                                                 = 0x02D3,
		COMMAND_BOAT_STOP                                                        = 0x02D4,
		COMMAND_IS_PLAYER_SHOOTING_IN_AREA                                       = 0x02D5,
		COMMAND_IS_CHAR_SHOOTING_IN_AREA                                         = 0x02D6,
		COMMAND_IS_CURRENT_PLAYER_WEAPON                                         = 0x02D7,
		COMMAND_IS_CURRENT_CHAR_WEAPON                                           = 0x02D8,
		COMMAND_CLEAR_NUMBER_OF_POWER_PILLS_EATEN                                = 0x02D9,
		COMMAND_ADD_POWER_PILL                                                   = 0x02DA,
		COMMAND_SET_BOAT_CRUISE_SPEED                                            = 0x02DB,
		COMMAND_GET_RANDOM_CHAR_IN_AREA                                          = 0x02DC,
		COMMAND_GET_RANDOM_CHAR_IN_ZONE                                          = 0x02DD,
		COMMAND_IS_PLAYER_IN_TAXI                                                = 0x02DE,
		COMMAND_IS_PLAYER_SHOOTING                                               = 0x02DF,
		COMMAND_IS_CHAR_SHOOTING                                                 = 0x02E0,
		COMMAND_CREATE_MONEY_PICKUP                                              = 0x02E1,
		COMMAND_SET_CHAR_ACCURACY                                                = 0x02E2,
		COMMAND_GET_CAR_SPEED                                                    = 0x02E3,
		COMMAND_LOAD_CUTSCENE                                                    = 0x02E4,
		COMMAND_CREATE_CUTSCENE_OBJECT                                           = 0x02E5,
		COMMAND_SET_CUTSCENE_ANIM                                                = 0x02E6,
		COMMAND_START_CUTSCENE                                                   = 0x02E7,
		COMMAND_GET_CUTSCENE_TIME                                                = 0x02E8,
		COMMAND_HAS_CUTSCENE_FINISHED                                            = 0x02E9,
		COMMAND_CLEAR_CUTSCENE                                                   = 0x02EA,
		COMMAND_RESTORE_CAMERA_JUMPCUT                                           = 0x02EB,
		COMMAND_CREATE_COLLECTABLE1                                              = 0x02EC,
		COMMAND_SET_COLLECTABLE1_TOTAL                                           = 0x02ED,
		COMMAND_IS_PROJECTILE_IN_AREA                                            = 0x02EE,
		COMMAND_DESTROY_PROJECTILES_IN_AREA                                      = 0x02EF,
		COMMAND_DROP_MINE                                                        = 0x02F0,
		COMMAND_DROP_NAUTICAL_MINE                                               = 0x02F1,
		COMMAND_IS_CHAR_MODEL                                                    = 0x02F2,
		COMMAND_LOAD_SPECIAL_MODEL                                               = 0x02F3,
		COMMAND_CREATE_CUTSCENE_HEAD                                             = 0x02F4,
		COMMAND_SET_CUTSCENE_HEAD_ANIM                                           = 0x02F5,
		COMMAND_SIN                                                              = 0x02F6,
		COMMAND_COS                                                              = 0x02F7,
		COMMAND_GET_CAR_FORWARD_X                                                = 0x02F8,
		COMMAND_GET_CAR_FORWARD_Y                                                = 0x02F9,
		COMMAND_CHANGE_GARAGE_TYPE                                               = 0x02FA,
		COMMAND_ACTIVATE_CRUSHER_CRANE                                           = 0x02FB,
		COMMAND_PRINT_WITH_2_NUMBERS                                             = 0x02FC,
		COMMAND_PRINT_WITH_2_NUMBERS_NOW                                         = 0x02FD,
		COMMAND_PRINT_WITH_2_NUMBERS_SOON                                        = 0x02FE,
		COMMAND_PRINT_WITH_3_NUMBERS                                             = 0x02FF,
		COMMAND_PRINT_WITH_3_NUMBERS_NOW                                         = 0x0300,
		COMMAND_PRINT_WITH_3_NUMBERS_SOON                                        = 0x0301,
		COMMAND_PRINT_WITH_4_NUMBERS                                             = 0x0302,
		COMMAND_PRINT_WITH_4_NUMBERS_NOW                                         = 0x0303,
		COMMAND_PRINT_WITH_4_NUMBERS_SOON                                        = 0x0304,
		COMMAND_PRINT_WITH_5_NUMBERS                                             = 0x0305,
		COMMAND_PRINT_WITH_5_NUMBERS_NOW                                         = 0x0306,
		COMMAND_PRINT_WITH_5_NUMBERS_SOON                                        = 0x0307,
		COMMAND_PRINT_WITH_6_NUMBERS                                             = 0x0308,
		COMMAND_PRINT_WITH_6_NUMBERS_NOW                                         = 0x0309,
		COMMAND_PRINT_WITH_6_NUMBERS_SOON                                        = 0x030A,
		COMMAND_SET_CHAR_OBJ_FOLLOW_CHAR_IN_FORMATION                            = 0x030B,
		COMMAND_PLAYER_MADE_PROGRESS                                             = 0x030C,
		COMMAND_SET_PROGRESS_TOTAL                                               = 0x030D,
		COMMAND_REGISTER_JUMP_DISTANCE                                           = 0x030E,
		COMMAND_REGISTER_JUMP_HEIGHT                                             = 0x030F,
		COMMAND_REGISTER_JUMP_FLIPS                                              = 0x0310,
		COMMAND_REGISTER_JUMP_SPINS                                              = 0x0311,
		COMMAND_REGISTER_JUMP_STUNT                                              = 0x0312,
		COMMAND_REGISTER_UNIQUE_JUMP_FOUND                                       = 0x0313,
		COMMAND_SET_UNIQUE_JUMPS_TOTAL                                           = 0x0314,
		COMMAND_REGISTER_PASSENGER_DROPPED_OFF_TAXI                              = 0x0315,
		COMMAND_REGISTER_MONEY_MADE_TAXI                                         = 0x0316,
		COMMAND_REGISTER_MISSION_GIVEN                                           = 0x0317,
		COMMAND_REGISTER_MISSION_PASSED                                          = 0x0318,
		COMMAND_SET_CHAR_RUNNING                                                 = 0x0319,
		COMMAND_REMOVE_ALL_SCRIPT_FIRES                                          = 0x031A,
		COMMAND_IS_FIRST_CAR_COLOUR                                              = 0x031B,
		COMMAND_IS_SECOND_CAR_COLOUR                                             = 0x031C,
		COMMAND_HAS_CHAR_BEEN_DAMAGED_BY_WEAPON                                  = 0x031D,
		COMMAND_HAS_CAR_BEEN_DAMAGED_BY_WEAPON                                   = 0x031E,
		COMMAND_IS_CHAR_IN_CHARS_GROUP                                           = 0x031F,
		COMMAND_IS_CHAR_IN_PLAYERS_GROUP                                         = 0x0320,
		COMMAND_EXPLODE_CHAR_HEAD                                                = 0x0321,
		COMMAND_EXPLODE_PLAYER_HEAD                                              = 0x0322,
		COMMAND_ANCHOR_BOAT                                                      = 0x0323,
		COMMAND_SET_ZONE_GROUP                                                   = 0x0324,
		COMMAND_START_CAR_FIRE                                                   = 0x0325,
		COMMAND_START_CHAR_FIRE                                                  = 0x0326,
		COMMAND_GET_RANDOM_CAR_OF_TYPE_IN_AREA                                   = 0x0327,
		COMMAND_GET_RANDOM_CAR_OF_TYPE_IN_ZONE                                   = 0x0328,
		COMMAND_HAS_RESPRAY_HAPPENED                                             = 0x0329,
		COMMAND_SET_CAMERA_ZOOM                                                  = 0x032A,
		COMMAND_CREATE_PICKUP_WITH_AMMO                                          = 0x032B,
		COMMAND_SET_CAR_RAM_CAR                                                  = 0x032C,
		COMMAND_SET_CAR_BLOCK_CAR                                                = 0x032D,
		COMMAND_SET_CHAR_OBJ_CATCH_TRAIN                                         = 0x032E,
		COMMAND_SET_COLL_OBJ_CATCH_TRAIN                                         = 0x032F,
		COMMAND_SET_PLAYER_NEVER_GETS_TIRED                                      = 0x0330,
		COMMAND_SET_PLAYER_FAST_RELOAD                                           = 0x0331,
		COMMAND_SET_CHAR_BLEEDING                                                = 0x0332,
		COMMAND_SET_CAR_FUNNY_SUSPENSION                                         = 0x0333,
		COMMAND_SET_CAR_BIG_WHEELS                                               = 0x0334,
		COMMAND_SET_FREE_RESPRAYS                                                = 0x0335,
		COMMAND_SET_PLAYER_VISIBLE                                               = 0x0336,
		COMMAND_SET_CHAR_VISIBLE                                                 = 0x0337,
		COMMAND_SET_CAR_VISIBLE                                                  = 0x0338,
		COMMAND_IS_AREA_OCCUPIED                                                 = 0x0339,
		COMMAND_START_DRUG_RUN                                                   = 0x033A,
		COMMAND_HAS_DRUG_RUN_BEEN_COMPLETED                                      = 0x033B,
		COMMAND_HAS_DRUG_PLANE_BEEN_SHOT_DOWN                                    = 0x033C,
		COMMAND_SAVE_PLAYER_FROM_FIRES                                           = 0x033D,
		COMMAND_DISPLAY_TEXT                                                     = 0x033E,
		COMMAND_SET_TEXT_SCALE                                                   = 0x033F,
		COMMAND_SET_TEXT_COLOUR                                                  = 0x0340,
		COMMAND_SET_TEXT_JUSTIFY                                                 = 0x0341,
		COMMAND_SET_TEXT_CENTRE                                                  = 0x0342,
		COMMAND_SET_TEXT_WRAPX                                                   = 0x0343,
		COMMAND_SET_TEXT_CENTRE_SIZE                                             = 0x0344,
		COMMAND_SET_TEXT_BACKGROUND                                              = 0x0345,
		COMMAND_SET_TEXT_BACKGROUND_COLOUR                                       = 0x0346,
		COMMAND_SET_TEXT_BACKGROUND_ONLY_TEXT                                    = 0x0347,
		COMMAND_SET_TEXT_PROPORTIONAL                                            = 0x0348,
		COMMAND_SET_TEXT_FONT                                                    = 0x0349,
		COMMAND_INDUSTRIAL_PASSED                                                = 0x034A,
		COMMAND_COMMERCIAL_PASSED                                                = 0x034B,
		COMMAND_SUBURBAN_PASSED                                                  = 0x034C,
		COMMAND_ROTATE_OBJECT                                                    = 0x034D,
		COMMAND_SLIDE_OBJECT                                                     = 0x034E,
		COMMAND_REMOVE_CHAR_ELEGANTLY                                            = 0x034F,
		COMMAND_SET_CHAR_STAY_IN_SAME_PLACE                                      = 0x0350,
		COMMAND_IS_NASTY_GAME                                                    = 0x0351,
		COMMAND_UNDRESS_CHAR                                                     = 0x0352,
		COMMAND_DRESS_CHAR                                                       = 0x0353,
		COMMAND_START_CHASE_SCENE                                                = 0x0354,
		COMMAND_STOP_CHASE_SCENE                                                 = 0x0355,
		COMMAND_IS_EXPLOSION_IN_AREA                                             = 0x0356,
		COMMAND_IS_EXPLOSION_IN_ZONE                                             = 0x0357,
		COMMAND_START_DRUG_DROP_OFF                                              = 0x0358,
		COMMAND_HAS_DROP_OFF_PLANE_BEEN_SHOT_DOWN                                = 0x0359,
		COMMAND_FIND_DROP_OFF_PLANE_COORDINATES                                  = 0x035A,
		COMMAND_CREATE_FLOATING_PACKAGE                                          = 0x035B,
		COMMAND_PLACE_OBJECT_RELATIVE_TO_CAR                                     = 0x035C,
		COMMAND_MAKE_OBJECT_TARGETTABLE                                          = 0x035D,
		COMMAND_ADD_ARMOUR_TO_PLAYER                                             = 0x035E,
		COMMAND_ADD_ARMOUR_TO_CHAR                                               = 0x035F,
		COMMAND_OPEN_GARAGE                                                      = 0x0360,
		COMMAND_CLOSE_GARAGE                                                     = 0x0361,
		COMMAND_WARP_CHAR_FROM_CAR_TO_COORD                                      = 0x0362,
		COMMAND_SET_VISIBILITY_OF_CLOSEST_OBJECT_OF_TYPE                         = 0x0363,
		COMMAND_HAS_CHAR_SPOTTED_CHAR                                            = 0x0364,
		COMMAND_SET_CHAR_OBJ_HAIL_TAXI                                           = 0x0365,
		COMMAND_HAS_OBJECT_BEEN_DAMAGED                                          = 0x0366,
		COMMAND_START_KILL_FRENZY_HEADSHOT                                       = 0x0367,
		COMMAND_ACTIVATE_MILITARY_CRANE                                          = 0x0368,
		COMMAND_WARP_PLAYER_INTO_CAR                                             = 0x0369,
		COMMAND_WARP_CHAR_INTO_CAR                                               = 0x036A,
		COMMAND_SWITCH_CAR_RADIO                                                 = 0x036B,
		COMMAND_SET_AUDIO_STREAM                                                 = 0x036C,
		COMMAND_PRINT_WITH_2_NUMBERS_BIG                                         = 0x036D,
		COMMAND_PRINT_WITH_3_NUMBERS_BIG                                         = 0x036E,
		COMMAND_PRINT_WITH_4_NUMBERS_BIG                                         = 0x036F,
		COMMAND_PRINT_WITH_5_NUMBERS_BIG                                         = 0x0370,
		COMMAND_PRINT_WITH_6_NUMBERS_BIG                                         = 0x0371,
		COMMAND_SET_CHAR_WAIT_STATE                                              = 0x0372,
		COMMAND_SET_CAMERA_BEHIND_PLAYER                                         = 0x0373,
		COMMAND_SET_MOTION_BLUR                                                  = 0x0374,
		COMMAND_PRINT_STRING_IN_STRING                                           = 0x0375,
		COMMAND_CREATE_RANDOM_CHAR                                               = 0x0376,
		COMMAND_SET_CHAR_OBJ_STEAL_ANY_CAR                                       = 0x0377,
		COMMAND_SET_2_REPEATED_PHONE_MESSAGES                                    = 0x0378,
		COMMAND_SET_2_PHONE_MESSAGES                                             = 0x0379,
		COMMAND_SET_3_REPEATED_PHONE_MESSAGES                                    = 0x037A,
		COMMAND_SET_3_PHONE_MESSAGES                                             = 0x037B,
		COMMAND_SET_4_REPEATED_PHONE_MESSAGES                                    = 0x037C,
		COMMAND_SET_4_PHONE_MESSAGES                                             = 0x037D,
		COMMAND_IS_SNIPER_BULLET_IN_AREA                                         = 0x037E,
		COMMAND_GIVE_PLAYER_DETONATOR                                            = 0x037F,
		COMMAND_SET_COLL_OBJ_STEAL_ANY_CAR                                       = 0x0380,
		COMMAND_SET_OBJECT_VELOCITY                                              = 0x0381,
		COMMAND_SET_OBJECT_COLLISION                                             = 0x0382,
		COMMAND_IS_ICECREAM_JINGLE_ON                                            = 0x0383,
		COMMAND_PRINT_STRING_IN_STRING_NOW                                       = 0x0384,
		COMMAND_PRINT_STRING_IN_STRING_SOON                                      = 0x0385,
		COMMAND_SET_5_REPEATED_PHONE_MESSAGES                                    = 0x0386,
		COMMAND_SET_5_PHONE_MESSAGES                                             = 0x0387,
		COMMAND_SET_6_REPEATED_PHONE_MESSAGES                                    = 0x0388,
		COMMAND_SET_6_PHONE_MESSAGES                                             = 0x0389,
		COMMAND_IS_POINT_OBSCURED_BY_A_MISSION_ENTITY                            = 0x038A,
		COMMAND_LOAD_ALL_MODELS_NOW                                              = 0x038B,
		COMMAND_ADD_TO_OBJECT_VELOCITY                                           = 0x038C,
		COMMAND_DRAW_SPRITE                                                      = 0x038D,
		COMMAND_DRAW_RECT                                                        = 0x038E,
		COMMAND_LOAD_SPRITE                                                      = 0x038F,
		COMMAND_LOAD_TEXTURE_DICTIONARY                                          = 0x0390,
		COMMAND_REMOVE_TEXTURE_DICTIONARY                                        = 0x0391,
		COMMAND_SET_OBJECT_DYNAMIC                                               = 0x0392,
		COMMAND_SET_CHAR_ANIM_SPEED                                              = 0x0393,
		COMMAND_PLAY_MISSION_PASSED_TUNE                                         = 0x0394,
		COMMAND_CLEAR_AREA                                                       = 0x0395,
		COMMAND_FREEZE_ONSCREEN_TIMER                                            = 0x0396,
		COMMAND_SWITCH_CAR_SIREN                                                 = 0x0397,
		COMMAND_SWITCH_PED_ROADS_ON_ANGLED                                       = 0x0398,
		COMMAND_SWITCH_PED_ROADS_OFF_ANGLED                                      = 0x0399,
		COMMAND_SWITCH_ROADS_ON_ANGLED                                           = 0x039A,
		COMMAND_SWITCH_ROADS_OFF_ANGLED                                          = 0x039B,
		COMMAND_SET_CAR_WATERTIGHT                                               = 0x039C,
		COMMAND_ADD_MOVING_PARTICLE_EFFECT                                       = 0x039D,
		COMMAND_SET_CHAR_CANT_BE_DRAGGED_OUT                                     = 0x039E,
		COMMAND_TURN_CAR_TO_FACE_COORD                                           = 0x039F,
		COMMAND_IS_CRANE_LIFTING_CAR                                             = 0x03A0,
		COMMAND_DRAW_SPHERE                                                      = 0x03A1,
		COMMAND_SET_CAR_STATUS                                                   = 0x03A2,
		COMMAND_IS_CHAR_MALE                                                     = 0x03A3,
		COMMAND_SCRIPT_NAME                                                      = 0x03A4,
		COMMAND_CHANGE_GARAGE_TYPE_WITH_CAR_MODEL                                = 0x03A5,
		COMMAND_FIND_DRUG_PLANE_COORDINATES                                      = 0x03A6,
		COMMAND_SAVE_INT_TO_DEBUG_FILE                                           = 0x03A7,
		COMMAND_SAVE_FLOAT_TO_DEBUG_FILE                                         = 0x03A8,
		COMMAND_SAVE_NEWLINE_TO_DEBUG_FILE                                       = 0x03A9,
		COMMAND_POLICE_RADIO_MESSAGE                                             = 0x03AA,
		COMMAND_SET_CAR_STRONG                                                   = 0x03AB,
		COMMAND_REMOVE_ROUTE                                                     = 0x03AC,
		COMMAND_SWITCH_RUBBISH                                                   = 0x03AD,
		COMMAND_REMOVE_PARTICLE_EFFECTS_IN_AREA                                  = 0x03AE,
		COMMAND_SWITCH_STREAMING                                                 = 0x03AF,
		COMMAND_IS_GARAGE_OPEN                                                   = 0x03B0,
		COMMAND_IS_GARAGE_CLOSED                                                 = 0x03B1,
		COMMAND_START_CATALINA_HELI                                              = 0x03B2,
		COMMAND_CATALINA_HELI_TAKE_OFF                                           = 0x03B3,
		COMMAND_REMOVE_CATALINA_HELI                                             = 0x03B4,
		COMMAND_HAS_CATALINA_HELI_BEEN_SHOT_DOWN                                 = 0x03B5,
		COMMAND_SWAP_NEAREST_BUILDING_MODEL                                      = 0x03B6,
		COMMAND_SWITCH_WORLD_PROCESSING                                          = 0x03B7,
		COMMAND_REMOVE_ALL_PLAYER_WEAPONS                                        = 0x03B8,
		COMMAND_GRAB_CATALINA_HELI                                               = 0x03B9,
		COMMAND_CLEAR_AREA_OF_CARS                                               = 0x03BA,
		COMMAND_SET_ROTATING_GARAGE_DOOR                                         = 0x03BB,
		COMMAND_ADD_SPHERE                                                       = 0x03BC,
		COMMAND_REMOVE_SPHERE                                                    = 0x03BD,
		COMMAND_CATALINA_HELI_FLY_AWAY                                           = 0x03BE,
		COMMAND_SET_EVERYONE_IGNORE_PLAYER                                       = 0x03BF,
		COMMAND_STORE_CAR_CHAR_IS_IN_NO_SAVE                                     = 0x03C0,
		COMMAND_STORE_CAR_PLAYER_IS_IN_NO_SAVE                                   = 0x03C1,
		COMMAND_IS_PHONE_DISPLAYING_MESSAGE                                      = 0x03C2,
		COMMAND_DISPLAY_ONSCREEN_TIMER_WITH_STRING                               = 0x03C3,
		COMMAND_DISPLAY_ONSCREEN_COUNTER_WITH_STRING                             = 0x03C4,
		COMMAND_CREATE_RANDOM_CAR_FOR_CAR_PARK                                   = 0x03C5,
		COMMAND_IS_COLLISION_IN_MEMORY                                           = 0x03C6,
		COMMAND_SET_WANTED_MULTIPLIER                                            = 0x03C7,
		COMMAND_SET_CAMERA_IN_FRONT_OF_PLAYER                                    = 0x03C8,
		COMMAND_IS_CAR_VISIBLY_DAMAGED                                           = 0x03C9,
		COMMAND_DOES_OBJECT_EXIST                                                = 0x03CA,
		COMMAND_LOAD_SCENE                                                       = 0x03CB,
		COMMAND_ADD_STUCK_CAR_CHECK                                              = 0x03CC,
		COMMAND_REMOVE_STUCK_CAR_CHECK                                           = 0x03CD,
		COMMAND_IS_CAR_STUCK                                                     = 0x03CE,
		COMMAND_LOAD_MISSION_AUDIO                                               = 0x03CF,
		COMMAND_HAS_MISSION_AUDIO_LOADED                                         = 0x03D0,
		COMMAND_PLAY_MISSION_AUDIO                                               = 0x03D1,
		COMMAND_HAS_MISSION_AUDIO_FINISHED                                       = 0x03D2,
		COMMAND_GET_CLOSEST_CAR_NODE_WITH_HEADING                                = 0x03D3,
		COMMAND_HAS_IMPORT_GARAGE_SLOT_BEEN_FILLED                               = 0x03D4,
		COMMAND_CLEAR_THIS_PRINT                                                 = 0x03D5,
		COMMAND_CLEAR_THIS_BIG_PRINT                                             = 0x03D6,
		COMMAND_SET_MISSION_AUDIO_POSITION                                       = 0x03D7,
		COMMAND_ACTIVATE_SAVE_MENU                                               = 0x03D8,
		COMMAND_HAS_SAVE_GAME_FINISHED                                           = 0x03D9,
		COMMAND_NO_SPECIAL_CAMERA_FOR_THIS_GARAGE                                = 0x03DA,
		COMMAND_ADD_BLIP_FOR_PICKUP_OLD                                          = 0x03DB,
		COMMAND_ADD_BLIP_FOR_PICKUP                                              = 0x03DC,
		COMMAND_ADD_SPRITE_BLIP_FOR_PICKUP                                       = 0x03DD,
		COMMAND_SET_PED_DENSITY_MULTIPLIER                                       = 0x03DE,
		COMMAND_FORCE_RANDOM_PED_TYPE                                            = 0x03DF,
		COMMAND_SET_TEXT_DRAW_BEFORE_FADE                                        = 0x03E0,
		COMMAND_GET_COLLECTABLE1S_COLLECTED                                      = 0x03E1,
		COMMAND_SET_CHAR_OBJ_LEAVE_ANY_CAR                                       = 0x03E2,
		COMMAND_SET_SPRITES_DRAW_BEFORE_FADE                                     = 0x03E3,
		COMMAND_SET_TEXT_RIGHT_JUSTIFY                                           = 0x03E4,
		COMMAND_PRINT_HELP                                                       = 0x03E5,
		COMMAND_CLEAR_HELP                                                       = 0x03E6,
		COMMAND_FLASH_HUD_OBJECT                                                 = 0x03E7,
		COMMAND_FLASH_RADAR_BLIP                                                 = 0x03E8,
		COMMAND_IS_CHAR_IN_CONTROL                                               = 0x03E9,
		COMMAND_SET_GENERATE_CARS_AROUND_CAMERA                                  = 0x03EA,
		COMMAND_CLEAR_SMALL_PRINTS                                               = 0x03EB,
		COMMAND_HAS_MILITARY_CRANE_COLLECTED_ALL_CARS                            = 0x03EC,
		COMMAND_SET_UPSIDEDOWN_CAR_NOT_DAMAGED                                   = 0x03ED,
		COMMAND_CAN_PLAYER_START_MISSION                                         = 0x03EE,
		COMMAND_MAKE_PLAYER_SAFE_FOR_CUTSCENE                                    = 0x03EF,
		COMMAND_USE_TEXT_COMMANDS                                                = 0x03F0,
		COMMAND_SET_THREAT_FOR_PED_TYPE                                          = 0x03F1,
		COMMAND_CLEAR_THREAT_FOR_PED_TYPE                                        = 0x03F2,
		COMMAND_GET_CAR_COLOURS                                                  = 0x03F3,
		COMMAND_SET_ALL_CARS_CAN_BE_DAMAGED                                      = 0x03F4,
		COMMAND_SET_CAR_CAN_BE_DAMAGED                                           = 0x03F5,
		COMMAND_MAKE_PLAYER_UNSAFE                                               = 0x03F6,
		COMMAND_LOAD_COLLISION                                                   = 0x03F7,
		COMMAND_GET_BODY_CAST_HEALTH                                             = 0x03F8,
		COMMAND_SET_CHARS_CHATTING                                               = 0x03F9,
		COMMAND_MAKE_PLAYER_SAFE                                                 = 0x03FA,
		COMMAND_SET_CAR_STAYS_IN_CURRENT_LEVEL                                   = 0x03FB,
		COMMAND_SET_CHAR_STAYS_IN_CURRENT_LEVEL                                  = 0x03FC,
		COMMAND_SET_DRUNK_INPUT_DELAY                                            = 0x03FD,
		COMMAND_SET_CHAR_MONEY                                                   = 0x03FE,
		COMMAND_INCREASE_CHAR_MONEY                                              = 0x03FF,
		COMMAND_GET_OFFSET_FROM_OBJECT_IN_WORLD_COORDS                           = 0x0400,
		COMMAND_REGISTER_LIFE_SAVED                                              = 0x0401,
		COMMAND_REGISTER_CRIMINAL_CAUGHT                                         = 0x0402,
		COMMAND_REGISTER_AMBULANCE_LEVEL                                         = 0x0403,
		COMMAND_REGISTER_FIRE_EXTINGUISHED                                       = 0x0404,
		COMMAND_TURN_PHONE_ON                                                    = 0x0405,
		COMMAND_REGISTER_LONGEST_DODO_FLIGHT                                     = 0x0406,
		COMMAND_GET_OFFSET_FROM_CAR_IN_WORLD_COORDS                              = 0x0407,
		COMMAND_SET_TOTAL_NUMBER_OF_KILL_FRENZIES                                = 0x0408,
		COMMAND_BLOW_UP_RC_BUGGY                                                 = 0x0409,
		COMMAND_REMOVE_CAR_FROM_CHASE                                            = 0x040A,
		COMMAND_IS_FRENCH_GAME                                                   = 0x040B,
		COMMAND_IS_GERMAN_GAME                                                   = 0x040C,
		COMMAND_CLEAR_MISSION_AUDIO                                              = 0x040D,
		COMMAND_SET_FADE_IN_AFTER_NEXT_ARREST                                    = 0x040E,
		COMMAND_SET_FADE_IN_AFTER_NEXT_DEATH                                     = 0x040F,
		COMMAND_SET_GANG_PED_MODEL_PREFERENCE                                    = 0x0410,
		COMMAND_SET_CHAR_USE_PEDNODE_SEEK                                        = 0x0411,
		COMMAND_SWITCH_VEHICLE_WEAPONS                                           = 0x0412,
		COMMAND_SET_GET_OUT_OF_JAIL_FREE                                         = 0x0413,
		COMMAND_SET_FREE_HEALTH_CARE                                             = 0x0414,
		COMMAND_IS_CAR_DOOR_CLOSED                                               = 0x0415,
		COMMAND_LOAD_AND_LAUNCH_MISSION                                          = 0x0416,
		COMMAND_LOAD_AND_LAUNCH_MISSION_INTERNAL                                 = 0x0417,
		COMMAND_SET_OBJECT_DRAW_LAST                                             = 0x0418,
		COMMAND_GET_AMMO_IN_PLAYER_WEAPON                                        = 0x0419,
		COMMAND_GET_AMMO_IN_CHAR_WEAPON                                          = 0x041A,
		COMMAND_REGISTER_KILL_FRENZY_PASSED                                      = 0x041B,
		COMMAND_SET_CHAR_SAY                                                     = 0x041C,
		COMMAND_SET_NEAR_CLIP                                                    = 0x041D,
		COMMAND_SET_RADIO_CHANNEL                                                = 0x041E,
		COMMAND_OVERRIDE_HOSPITAL_LEVEL                                          = 0x041F,
		COMMAND_OVERRIDE_POLICE_STATION_LEVEL                                    = 0x0420,
		COMMAND_FORCE_RAIN                                                       = 0x0421,
		COMMAND_DOES_GARAGE_CONTAIN_CAR                                          = 0x0422,
		COMMAND_SET_CAR_TRACTION                                                 = 0x0423,
		COMMAND_ARE_MEASUREMENTS_IN_METRES                                       = 0x0424,
		COMMAND_CONVERT_METRES_TO_FEET                                           = 0x0425,
		COMMAND_MARK_ROADS_BETWEEN_LEVELS                                        = 0x0426,
		COMMAND_MARK_PED_ROADS_BETWEEN_LEVELS                                    = 0x0427,
		COMMAND_SET_CAR_AVOID_LEVEL_TRANSITIONS                                  = 0x0428,
		COMMAND_SET_CHAR_AVOID_LEVEL_TRANSITIONS                                 = 0x0429,
		COMMAND_IS_THREAT_FOR_PED_TYPE                                           = 0x042A,
		COMMAND_CLEAR_AREA_OF_CHARS                                              = 0x042B,
		COMMAND_SET_TOTAL_NUMBER_OF_MISSIONS                                     = 0x042C,
		COMMAND_CONVERT_METRES_TO_FEET_INT                                       = 0x042D,
		COMMAND_REGISTER_FASTEST_TIME                                            = 0x042E,
		COMMAND_REGISTER_HIGHEST_SCORE                                           = 0x042F,
		COMMAND_WARP_CHAR_INTO_CAR_AS_PASSENGER                                  = 0x0430,
		COMMAND_IS_CAR_PASSENGER_SEAT_FREE                                       = 0x0431,
		COMMAND_GET_CHAR_IN_CAR_PASSENGER_SEAT                                   = 0x0432,
		COMMAND_SET_CHAR_IS_CHRIS_CRIMINAL                                       = 0x0433,
		COMMAND_START_CREDITS                                                    = 0x0434,
		COMMAND_STOP_CREDITS                                                     = 0x0435,
		COMMAND_ARE_CREDITS_FINISHED                                             = 0x0436,
		COMMAND_CREATE_SINGLE_PARTICLE                                           = 0x0437,
		COMMAND_SET_CHAR_IGNORE_LEVEL_TRANSITIONS                                = 0x0438,
		COMMAND_GET_CHASE_CAR                                                    = 0x0439,
		COMMAND_START_BOAT_FOAM_ANIMATION                                        = 0x043A,
		COMMAND_UPDATE_BOAT_FOAM_ANIMATION                                       = 0x043B,
		COMMAND_SET_MUSIC_DOES_FADE                                              = 0x043C,
		COMMAND_SET_INTRO_IS_PLAYING                                             = 0x043D,
		COMMAND_SET_PLAYER_HOOKER                                                = 0x043E,
		COMMAND_PLAY_END_OF_GAME_TUNE                                            = 0x043F,
		COMMAND_STOP_END_OF_GAME_TUNE                                            = 0x0440,
		COMMAND_GET_CAR_MODEL                                                    = 0x0441,
		COMMAND_IS_PLAYER_SITTING_IN_CAR                                         = 0x0442,
		COMMAND_IS_PLAYER_SITTING_IN_ANY_CAR                                     = 0x0443,
		COMMAND_SET_SCRIPT_FIRE_AUDIO                                            = 0x0444,
		COMMAND_ARE_ANY_CAR_CHEATS_ACTIVATED                                     = 0x0445,
		COMMAND_SET_CHAR_SUFFERS_CRITICAL_HITS                                   = 0x0446,
		COMMAND_IS_PLAYER_LIFTING_A_PHONE                                        = 0x0447,
		COMMAND_IS_CHAR_SITTING_IN_CAR                                           = 0x0448,
		COMMAND_IS_CHAR_SITTING_IN_ANY_CAR                                       = 0x0449,
		COMMAND_IS_PLAYER_ON_FOOT                                                = 0x044A,
		COMMAND_IS_CHAR_ON_FOOT                                                  = 0x044B,
		COMMAND_LOAD_COLLISION_WITH_SCREEN                                       = 0x044C,
		COMMAND_LOAD_SPLASH_SCREEN                                               = 0x044D,
		COMMAND_SET_CAR_IGNORE_LEVEL_TRANSITIONS                                 = 0x044E,
		COMMAND_MAKE_CRAIGS_CAR_A_BIT_STRONGER                                   = 0x044F,
		COMMAND_SET_JAMES_CAR_ON_PATH_TO_PLAYER                                  = 0x0450,
		COMMAND_LOAD_END_OF_GAME_TUNE                                            = 0x0451,
		COMMAND_ENABLE_PLAYER_CONTROL_CAMERA                                     = 0x0452,
		COMMAND_SET_OBJECT_ROTATION                                              = 0x0453,
		COMMAND_GET_DEBUG_CAMERA_COORDINATES                                     = 0x0454,
		COMMAND_GET_DEBUG_CAMERA_FRONT_VECTOR                                    = 0x0455,
		COMMAND_IS_PLAYER_TARGETTING_ANY_CHAR                                    = 0x0456,
		COMMAND_IS_PLAYER_TARGETTING_CHAR                                        = 0x0457,
		COMMAND_IS_PLAYER_TARGETTING_OBJECT                                      = 0x0458,
		COMMAND_TERMINATE_ALL_SCRIPTS_WITH_THIS_NAME                             = 0x0459,
		COMMAND_DISPLAY_TEXT_WITH_NUMBER                                         = 0x045A,
		COMMAND_DISPLAY_TEXT_WITH_2_NUMBERS                                      = 0x045B,
		COMMAND_FAIL_CURRENT_MISSION                                             = 0x045C,
		COMMAND_GET_CLOSEST_OBJECT_OF_TYPE                                       = 0x045D,
		COMMAND_PLACE_OBJECT_RELATIVE_TO_OBJECT                                  = 0x045E,
		COMMAND_SET_ALL_OCCUPANTS_OF_CAR_LEAVE_CAR                               = 0x045F,
		COMMAND_SET_INTERPOLATION_PARAMETERS                                     = 0x0460,
		COMMAND_GET_CLOSEST_CAR_NODE_WITH_HEADING_TOWARDS_POINT                  = 0x0461,
		COMMAND_GET_CLOSEST_CAR_NODE_WITH_HEADING_AWAY_POINT                     = 0x0462,
		COMMAND_GET_DEBUG_CAMERA_POINT_AT                                        = 0x0463,
		COMMAND_ATTACH_CHAR_TO_CAR                                               = 0x0464,
		COMMAND_DETACH_CHAR_FROM_CAR                                             = 0x0465,
		COMMAND_SET_CAR_CHANGE_LANE                                              = 0x0466,
		COMMAND_CLEAR_CHAR_LAST_WEAPON_DAMAGE                                    = 0x0467,
		COMMAND_CLEAR_CAR_LAST_WEAPON_DAMAGE                                     = 0x0468,
		COMMAND_GET_RANDOM_COP_IN_AREA                                           = 0x0469,
		COMMAND_GET_RANDOM_COP_IN_ZONE                                           = 0x046A,
		COMMAND_SET_CHAR_OBJ_FLEE_CAR                                            = 0x046B,
		COMMAND_GET_DRIVER_OF_CAR                                                = 0x046C,
		COMMAND_GET_NUMBER_OF_FOLLOWERS                                          = 0x046D,
		COMMAND_GIVE_REMOTE_CONTROLLED_MODEL_TO_PLAYER                           = 0x046E,
		COMMAND_GET_CURRENT_PLAYER_WEAPON                                        = 0x046F,
		COMMAND_GET_CURRENT_CHAR_WEAPON                                          = 0x0470,
		COMMAND_LOCATE_CHAR_ANY_MEANS_OBJECT_2D                                  = 0x0471,
		COMMAND_LOCATE_CHAR_ON_FOOT_OBJECT_2D                                    = 0x0472,
		COMMAND_LOCATE_CHAR_IN_CAR_OBJECT_2D                                     = 0x0473,
		COMMAND_LOCATE_CHAR_ANY_MEANS_OBJECT_3D                                  = 0x0474,
		COMMAND_LOCATE_CHAR_ON_FOOT_OBJECT_3D                                    = 0x0475,
		COMMAND_LOCATE_CHAR_IN_CAR_OBJECT_3D                                     = 0x0476,
		COMMAND_SET_CAR_TEMP_ACTION                                              = 0x0477,
		COMMAND_SET_CAR_HANDBRAKE_TURN_RIGHT                                     = 0x0478,
		COMMAND_SET_CAR_HANDBRAKE_STOP                                           = 0x0479,
		COMMAND_IS_CHAR_ON_ANY_BIKE                                              = 0x047A,
		COMMAND_LOCATE_SNIPER_BULLET_2D                                          = 0x047B,
		COMMAND_LOCATE_SNIPER_BULLET_3D                                          = 0x047C,
		COMMAND_GET_NUMBER_OF_SEATS_IN_MODEL                                     = 0x047D,
		COMMAND_IS_PLAYER_ON_ANY_BIKE                                            = 0x047E,
		COMMAND_IS_CHAR_LYING_DOWN                                               = 0x047F,
		COMMAND_CAN_CHAR_SEE_DEAD_CHAR                                           = 0x0480,
		COMMAND_SET_ENTER_CAR_RANGE_MULTIPLIER                                   = 0x0481,
		COMMAND_SET_THREAT_REACTION_RANGE_MULTIPLIER                             = 0x0482,
		COMMAND_SET_CHAR_CEASE_ATTACK_TIMER                                      = 0x0483,
		COMMAND_GET_REMOTE_CONTROLLED_CAR                                        = 0x0484,
		COMMAND_IS_PC_VERSION                                                    = 0x0485,
		COMMAND_REPLAY                                                           = 0x0486,
		COMMAND_IS_REPLAY_PLAYING                                                = 0x0487,
		COMMAND_IS_MODEL_AVAILABLE                                               = 0x0488,
		COMMAND_SHUT_CHAR_UP                                                     = 0x0489,
		COMMAND_SET_ENABLE_RC_DETONATE                                           = 0x048A,
		COMMAND_SET_CAR_RANDOM_ROUTE_SEED                                        = 0x048B,
		COMMAND_IS_ANY_PICKUP_AT_COORDS                                          = 0x048C,
		COMMAND_GET_FIRST_PICKUP_COORDS                                          = 0x048D,
		COMMAND_GET_NEXT_PICKUP_COORDS                                           = 0x048E,
		COMMAND_REMOVE_ALL_CHAR_WEAPONS                                          = 0x048F,
		COMMAND_HAS_PLAYER_GOT_WEAPON                                            = 0x0490,
		COMMAND_HAS_CHAR_GOT_WEAPON                                              = 0x0491,
		COMMAND_IS_PLAYER_FACING_CHAR                                            = 0x0492,
		COMMAND_SET_TANK_DETONATE_CARS                                           = 0x0493,
		COMMAND_GET_POSITION_OF_ANALOGUE_STICKS                                  = 0x0494,
		COMMAND_IS_CAR_ON_FIRE                                                   = 0x0495,
		COMMAND_IS_CAR_TYRE_BURST                                                = 0x0496,
		COMMAND_SET_CAR_DRIVE_STRAIGHT_AHEAD                                     = 0x0497,
		COMMAND_SET_CAR_WAIT                                                     = 0x0498,
		COMMAND_IS_PLAYER_STANDING_ON_A_VEHICLE                                  = 0x0499,
		COMMAND_IS_PLAYER_FOOT_DOWN                                              = 0x049A,
		COMMAND_IS_CHAR_FOOT_DOWN                                                = 0x049B,
		COMMAND_INITIALISE_OBJECT_PATH                                           = 0x049C,
		COMMAND_START_OBJECT_ON_PATH                                             = 0x049D,
		COMMAND_SET_OBJECT_PATH_SPEED                                            = 0x049E,
		COMMAND_SET_OBJECT_PATH_POSITION                                         = 0x049F,
		COMMAND_GET_OBJECT_DISTANCE_ALONG_PATH                                   = 0x04A0,
		COMMAND_CLEAR_OBJECT_PATH                                                = 0x04A1,
		COMMAND_HELI_GOTO_COORDS                                                 = 0x04A2,
		COMMAND_IS_INT_VAR_EQUAL_TO_CONSTANT                                     = 0x04A3,
		COMMAND_IS_INT_LVAR_EQUAL_TO_CONSTANT                                    = 0x04A4,
		COMMAND_GET_DEAD_CHAR_PICKUP_COORDS                                      = 0x04A5,
		COMMAND_CREATE_PROTECTION_PICKUP                                         = 0x04A6,
		COMMAND_IS_CHAR_IN_ANY_BOAT                                              = 0x04A7,
		COMMAND_IS_PLAYER_IN_ANY_BOAT                                            = 0x04A8,
		COMMAND_IS_CHAR_IN_ANY_HELI                                              = 0x04A9,
		COMMAND_IS_PLAYER_IN_ANY_HELI                                            = 0x04AA,
		COMMAND_IS_CHAR_IN_ANY_PLANE                                             = 0x04AB,
		COMMAND_IS_PLAYER_IN_ANY_PLANE                                           = 0x04AC,
		COMMAND_IS_CHAR_IN_WATER                                                 = 0x04AD,
		COMMAND_SET_VAR_INT_TO_CONSTANT                                          = 0x04AE,
		COMMAND_SET_LVAR_INT_TO_CONSTANT                                         = 0x04AF,
		COMMAND_IS_INT_VAR_GREATER_THAN_CONSTANT                                 = 0x04B0,
		COMMAND_IS_INT_LVAR_GREATER_THAN_CONSTANT                                = 0x04B1,
		COMMAND_IS_CONSTANT_GREATER_THAN_INT_VAR                                 = 0x04B2,
		COMMAND_IS_CONSTANT_GREATER_THAN_INT_LVAR                                = 0x04B3,
		COMMAND_IS_INT_VAR_GREATER_OR_EQUAL_TO_CONSTANT                          = 0x04B4,
		COMMAND_IS_INT_LVAR_GREATER_OR_EQUAL_TO_CONSTANT                         = 0x04B5,
		COMMAND_IS_CONSTANT_GREATER_OR_EQUAL_TO_INT_VAR                          = 0x04B6,
		COMMAND_IS_CONSTANT_GREATER_OR_EQUAL_TO_INT_LVAR                         = 0x04B7,
		COMMAND_GET_CHAR_WEAPON_IN_SLOT                                          = 0x04B8,
		COMMAND_GET_CLOSEST_STRAIGHT_ROAD                                        = 0x04B9,
		COMMAND_SET_CAR_FORWARD_SPEED                                            = 0x04BA,
		COMMAND_SET_AREA_VISIBLE                                                 = 0x04BB,
		COMMAND_SET_CUTSCENE_ANIM_TO_LOOP                                        = 0x04BC,
		COMMAND_MARK_CAR_AS_CONVOY_CAR                                           = 0x04BD,
		COMMAND_RESET_HAVOC_CAUSED_BY_PLAYER                                     = 0x04BE,
		COMMAND_GET_HAVOC_CAUSED_BY_PLAYER                                       = 0x04BF,
		COMMAND_CREATE_SCRIPT_ROADBLOCK                                          = 0x04C0,
		COMMAND_CLEAR_ALL_SCRIPT_ROADBLOCKS                                      = 0x04C1,
		COMMAND_SET_CHAR_OBJ_WALK_TO_CHAR                                        = 0x04C2,
		COMMAND_IS_PICKUP_IN_ZONE                                                = 0x04C3,
		COMMAND_GET_OFFSET_FROM_CHAR_IN_WORLD_COORDS                             = 0x04C4,
		COMMAND_HAS_CHAR_BEEN_PHOTOGRAPHED                                       = 0x04C5,
		COMMAND_SET_CHAR_OBJ_AIM_GUN_AT_CHAR                                     = 0x04C6,
		COMMAND_SWITCH_SECURITY_CAMERA                                           = 0x04C7,
		COMMAND_IS_CHAR_IN_FLYING_VEHICLE                                        = 0x04C8,
		COMMAND_IS_PLAYER_IN_FLYING_VEHICLE                                      = 0x04C9,
		COMMAND_HAS_SONY_CD_BEEN_READ                                            = 0x04CA,
		COMMAND_GET_NUMBER_OF_SONY_CDS_READ                                      = 0x04CB,
		COMMAND_ADD_SHORT_RANGE_BLIP_FOR_COORD_OLD                               = 0x04CC,
		COMMAND_ADD_SHORT_RANGE_BLIP_FOR_COORD                                   = 0x04CD,
		COMMAND_ADD_SHORT_RANGE_SPRITE_BLIP_FOR_COORD                            = 0x04CE,
		COMMAND_ADD_MONEY_SPENT_ON_CLOTHES                                       = 0x04CF,
		COMMAND_SET_HELI_ORIENTATION                                             = 0x04D0,
		COMMAND_CLEAR_HELI_ORIENTATION                                           = 0x04D1,
		COMMAND_PLANE_GOTO_COORDS                                                = 0x04D2,
		COMMAND_GET_NTH_CLOSEST_CAR_NODE                                         = 0x04D3,
		COMMAND_GET_NTH_CLOSEST_CHAR_NODE                                        = 0x04D4,
		COMMAND_DRAW_WEAPONSHOP_CORONA                                           = 0x04D5,
		COMMAND_SET_ENABLE_RC_DETONATE_ON_CONTACT                                = 0x04D6,
		COMMAND_FREEZE_CHAR_POSITION                                             = 0x04D7,
		COMMAND_SET_CHAR_DROWNS_IN_WATER                                         = 0x04D8,
		COMMAND_SET_OBJECT_RECORDS_COLLISIONS                                    = 0x04D9,
		COMMAND_HAS_OBJECT_COLLIDED_WITH_ANYTHING                                = 0x04DA,
		COMMAND_REMOVE_RC_BUGGY                                                  = 0x04DB,
		COMMAND_HAS_PHOTOGRAPH_BEEN_TAKEN                                        = 0x04DC,
		COMMAND_GET_CHAR_ARMOUR                                                  = 0x04DD,
		COMMAND_SET_CHAR_ARMOUR                                                  = 0x04DE,
		COMMAND_SET_HELI_STABILISER                                              = 0x04DF,
		COMMAND_SET_CAR_STRAIGHT_LINE_DISTANCE                                   = 0x04E0,
		COMMAND_POP_CAR_BOOT                                                     = 0x04E1,
		COMMAND_SHUT_PLAYER_UP                                                   = 0x04E2,
		COMMAND_SET_PLAYER_MOOD                                                  = 0x04E3,
		COMMAND_REQUEST_COLLISION                                                = 0x04E4,
		COMMAND_LOCATE_OBJECT_2D                                                 = 0x04E5,
		COMMAND_LOCATE_OBJECT_3D                                                 = 0x04E6,
		COMMAND_IS_OBJECT_IN_WATER                                               = 0x04E7,
		COMMAND_SET_CHAR_OBJ_STEAL_ANY_CAR_EVEN_MISSION_CAR                      = 0x04E8,
		COMMAND_IS_OBJECT_IN_AREA_2D                                             = 0x04E9,
		COMMAND_IS_OBJECT_IN_AREA_3D                                             = 0x04EA,
		COMMAND_SET_CHAR_CROUCH                                                  = 0x04EB,
		COMMAND_SET_ZONE_CIVILIAN_CAR_INFO                                       = 0x04EC,
		COMMAND_REQUEST_ANIMATION                                                = 0x04ED,
		COMMAND_HAS_ANIMATION_LOADED                                             = 0x04EE,
		COMMAND_REMOVE_ANIMATION                                                 = 0x04EF,
		COMMAND_IS_CHAR_WAITING_FOR_WORLD_COLLISION                              = 0x04F0,
		COMMAND_IS_CAR_WAITING_FOR_WORLD_COLLISION                               = 0x04F1,
		COMMAND_IS_OBJECT_WAITING_FOR_WORLD_COLLISION                            = 0x04F2,
		COMMAND_SET_CHAR_SHUFFLE_INTO_DRIVERS_SEAT                               = 0x04F3,
		COMMAND_ATTACH_CHAR_TO_OBJECT                                            = 0x04F4,
		COMMAND_SET_CHAR_AS_PLAYER_FRIEND                                        = 0x04F5,
		COMMAND_DISPLAY_NTH_ONSCREEN_COUNTER                                     = 0x04F6,
		COMMAND_DISPLAY_NTH_ONSCREEN_COUNTER_WITH_STRING                         = 0x04F7,
		COMMAND_ADD_SET_PIECE                                                    = 0x04F8,
		COMMAND_SET_EXTRA_COLOURS                                                = 0x04F9,
		COMMAND_CLEAR_EXTRA_COLOURS                                              = 0x04FA,
		COMMAND_CLOSE_CAR_BOOT                                                   = 0x04FB,
		COMMAND_GET_WHEELIE_STATS                                                = 0x04FC,
		COMMAND_DISARM_CHAR                                                      = 0x04FD,
		COMMAND_BURST_CAR_TYRE                                                   = 0x04FE,
		COMMAND_IS_CHAR_OBJ_NO_OBJ                                               = 0x04FF,
		COMMAND_IS_PLAYER_WEARING                                                = 0x0500,
		COMMAND_SET_PLAYER_CAN_DO_DRIVE_BY                                       = 0x0501,
		COMMAND_SET_CHAR_OBJ_SPRINT_TO_COORD                                     = 0x0502,
		COMMAND_CREATE_SWAT_ROPE                                                 = 0x0503,
		COMMAND_SET_FIRST_PERSON_CONTROL_CAMERA                                  = 0x0504,
		COMMAND_GET_NEAREST_TYRE_TO_POINT                                        = 0x0505,
		COMMAND_SET_CAR_MODEL_COMPONENTS                                         = 0x0506,
		COMMAND_SWITCH_LIFT_CAMERA                                               = 0x0507,
		COMMAND_CLOSE_ALL_CAR_DOORS                                              = 0x0508,
		COMMAND_GET_DISTANCE_BETWEEN_COORDS_2D                                   = 0x0509,
		COMMAND_GET_DISTANCE_BETWEEN_COORDS_3D                                   = 0x050A,
		COMMAND_POP_CAR_BOOT_USING_PHYSICS                                       = 0x050B,
		COMMAND_SET_FIRST_PERSON_WEAPON_CAMERA                                   = 0x050C,
		COMMAND_IS_CHAR_LEAVING_VEHICLE_TO_DIE                                   = 0x050D,
		COMMAND_SORT_OUT_OBJECT_COLLISION_WITH_CAR                               = 0x050E,
		COMMAND_GET_MAX_WANTED_LEVEL                                             = 0x050F,
		COMMAND_IS_CHAR_WANDER_PATH_CLEAR                                        = 0x0510,
		COMMAND_PRINT_HELP_WITH_NUMBER                                           = 0x0511,
		COMMAND_PRINT_HELP_FOREVER                                               = 0x0512,
		COMMAND_PRINT_HELP_FOREVER_WITH_NUMBER                                   = 0x0513,
		COMMAND_SET_CHAR_CAN_BE_DAMAGED_BY_MEMBERS_OF_GANG                       = 0x0514,
		COMMAND_LOAD_AND_LAUNCH_MISSION_EXCLUSIVE                                = 0x0515,
		COMMAND_IS_MISSION_AUDIO_PLAYING                                         = 0x0516,
		COMMAND_CREATE_LOCKED_PROPERTY_PICKUP                                    = 0x0517,
		COMMAND_CREATE_FORSALE_PROPERTY_PICKUP                                   = 0x0518,
		COMMAND_FREEZE_CAR_POSITION                                              = 0x0519,
		COMMAND_HAS_CHAR_BEEN_DAMAGED_BY_CHAR                                    = 0x051A,
		COMMAND_HAS_CHAR_BEEN_DAMAGED_BY_CAR                                     = 0x051B,
		COMMAND_HAS_CAR_BEEN_DAMAGED_BY_CHAR                                     = 0x051C,
		COMMAND_HAS_CAR_BEEN_DAMAGED_BY_CAR                                      = 0x051D,
		COMMAND_GET_RADIO_CHANNEL                                                = 0x051E,
		COMMAND_DISPLAY_TEXT_WITH_3_NUMBERS                                      = 0x051F,
		COMMAND_IS_CAR_DROWNING_IN_WATER                                         = 0x0520,
		COMMAND_IS_CHAR_DROWNING_IN_WATER                                        = 0x0521,
		COMMAND_DISABLE_CUTSCENE_SHADOWS                                         = 0x0522,
		COMMAND_HAS_GLASS_BEEN_SHATTERED_NEARBY                                  = 0x0523,
		COMMAND_ATTACH_CUTSCENE_OBJECT_TO_BONE                                   = 0x0524,
		COMMAND_ATTACH_CUTSCENE_OBJECT_TO_COMPONENT                              = 0x0525,
		COMMAND_SET_CHAR_STAY_IN_CAR_WHEN_JACKED                                 = 0x0526,
		COMMAND_IS_MISSION_AUDIO_LOADING                                         = 0x0527,
		COMMAND_ADD_MONEY_SPENT_ON_WEAPONS                                       = 0x0528,
		COMMAND_ADD_MONEY_SPENT_ON_PROPERTY                                      = 0x0529,
		COMMAND_ADD_MONEY_SPENT_ON_AUTO_PAINTING                                 = 0x052A,
		COMMAND_SET_CHAR_ANSWERING_MOBILE                                        = 0x052B,
		COMMAND_SET_PLAYER_DRUNKENNESS                                           = 0x052C,
		COMMAND_GET_PLAYER_DRUNKENNESS                                           = 0x052D,
		COMMAND_SET_PLAYER_DRUG_LEVEL                                            = 0x052E,
		COMMAND_GET_PLAYER_DRUG_LEVEL                                            = 0x052F,
		COMMAND_ADD_LOAN_SHARK_VISITS                                            = 0x0530,
		COMMAND_ADD_STORES_KNOCKED_OFF                                           = 0x0531,
		COMMAND_ADD_MOVIE_STUNTS                                                 = 0x0532,
		COMMAND_ADD_NUMBER_OF_ASSASSINATIONS                                     = 0x0533,
		COMMAND_ADD_PIZZAS_DELIVERED                                             = 0x0534,
		COMMAND_ADD_GARBAGE_PICKUPS                                              = 0x0535,
		COMMAND_ADD_ICE_CREAMS_SOLD                                              = 0x0536,
		COMMAND_SET_TOP_SHOOTING_RANGE_SCORE                                     = 0x0537,
		COMMAND_ADD_SHOOTING_RANGE_RANK                                          = 0x0538,
		COMMAND_ADD_MONEY_SPENT_ON_GAMBLING                                      = 0x0539,
		COMMAND_ADD_MONEY_WON_ON_GAMBLING                                        = 0x053A,
		COMMAND_SET_LARGEST_GAMBLING_WIN                                         = 0x053B,
		COMMAND_SET_CHAR_IN_PLAYERS_GROUP_CAN_FIGHT                              = 0x053C,
		COMMAND_CLEAR_CHAR_WAIT_STATE                                            = 0x053D,
		COMMAND_GET_RANDOM_CAR_OF_TYPE_IN_AREA_NO_SAVE                           = 0x053E,
		COMMAND_SET_CAN_BURST_CAR_TYRES                                          = 0x053F,
		COMMAND_SET_PLAYER_AUTO_AIM                                              = 0x0540,
		COMMAND_FIRE_HUNTER_GUN                                                  = 0x0541,
		COMMAND_SET_PROPERTY_AS_OWNED                                            = 0x0542,
		COMMAND_ADD_BLOOD_RING_KILLS                                             = 0x0543,
		COMMAND_SET_LONGEST_TIME_IN_BLOOD_RING                                   = 0x0544,
		COMMAND_REMOVE_EVERYTHING_FOR_HUGE_CUTSCENE                              = 0x0545,
		COMMAND_IS_PLAYER_TOUCHING_VEHICLE                                       = 0x0546,
		COMMAND_IS_CHAR_TOUCHING_VEHICLE                                         = 0x0547,
		COMMAND_CHECK_FOR_PED_MODEL_AROUND_PLAYER                                = 0x0548,
		COMMAND_CLEAR_CHAR_FOLLOW_PATH                                           = 0x0549,
		COMMAND_SET_CHAR_CAN_BE_SHOT_IN_VEHICLE                                  = 0x054A,
		COMMAND_ATTACH_CUTSCENE_OBJECT_TO_VEHICLE                                = 0x054B,
		COMMAND_LOAD_MISSION_TEXT                                                = 0x054C,
		COMMAND_SET_TONIGHTS_EVENT                                               = 0x054D,
		COMMAND_CLEAR_CHAR_LAST_DAMAGE_ENTITY                                    = 0x054E,
		COMMAND_CLEAR_CAR_LAST_DAMAGE_ENTITY                                     = 0x054F,
		COMMAND_FREEZE_OBJECT_POSITION                                           = 0x0550,
		COMMAND_SET_PLAYER_HAS_MET_DEBBIE_HARRY                                  = 0x0551,
		COMMAND_SET_RIOT_INTENSITY                                               = 0x0552,
		COMMAND_IS_CAR_IN_ANGLED_AREA_2D                                         = 0x0553,
		COMMAND_IS_CAR_IN_ANGLED_AREA_3D                                         = 0x0554,
		COMMAND_REMOVE_WEAPON_FROM_CHAR                                          = 0x0555,
		COMMAND_SET_UP_TAXI_SHORTCUT                                             = 0x0556,
		COMMAND_CLEAR_TAXI_SHORTCUT                                              = 0x0557,
		COMMAND_SET_CHAR_OBJ_GOTO_CAR_ON_FOOT                                    = 0x0558,
		COMMAND_GET_CLOSEST_WATER_NODE                                           = 0x0559,
		COMMAND_ADD_PORN_LEAFLET_TO_RUBBISH                                      = 0x055A,
		COMMAND_CREATE_CLOTHES_PICKUP                                            = 0x055B,
		COMMAND_CHANGE_BLIP_THRESHOLD                                            = 0x055C,
		COMMAND_MAKE_PLAYER_FIRE_PROOF                                           = 0x055D,
		COMMAND_INCREASE_PLAYER_MAX_HEALTH                                       = 0x055E,
		COMMAND_INCREASE_PLAYER_MAX_ARMOUR                                       = 0x055F,
		COMMAND_CREATE_RANDOM_CHAR_AS_DRIVER                                     = 0x0560,
		COMMAND_CREATE_RANDOM_CHAR_AS_PASSENGER                                  = 0x0561,
		COMMAND_SET_CHAR_IGNORE_THREATS_BEHIND_OBJECTS                           = 0x0562,
		COMMAND_ENSURE_PLAYER_HAS_DRIVE_BY_WEAPON                                = 0x0563,
		COMMAND_MAKE_HELI_COME_CRASHING_DOWN                                     = 0x0564,
		COMMAND_ADD_EXPLOSION_NO_SOUND                                           = 0x0565,
		COMMAND_SET_OBJECT_AREA_VISIBLE                                          = 0x0566,
		COMMAND_WAS_VEHICLE_EVER_POLICE                                          = 0x0567,
		COMMAND_SET_CHAR_NEVER_TARGETTED                                         = 0x0568,
		COMMAND_LOAD_UNCOMPRESSED_ANIM                                           = 0x0569,
		COMMAND_WAS_CUTSCENE_SKIPPED                                             = 0x056A,
		COMMAND_SET_CHAR_CROUCH_WHEN_THREATENED                                  = 0x056B,
		COMMAND_IS_CHAR_IN_ANY_POLICE_VEHICLE                                    = 0x056C,
		COMMAND_DOES_CHAR_EXIST                                                  = 0x056D,
		COMMAND_DOES_VEHICLE_EXIST                                               = 0x056E,
		COMMAND_ADD_SHORT_RANGE_BLIP_FOR_CONTACT_POINT                           = 0x056F,
		COMMAND_ADD_SHORT_RANGE_SPRITE_BLIP_FOR_CONTACT_POINT                    = 0x0570,
		COMMAND_IS_CHAR_STUCK                                                    = 0x0571,
		COMMAND_SET_ALL_TAXIS_HAVE_NITRO                                         = 0x0572,
		COMMAND_SET_CHAR_STOP_SHOOT_DONT_SEEK_ENTITY                             = 0x0573,
		COMMAND_FREEZE_CAR_POSITION_AND_DONT_LOAD_COLLISION                      = 0x0574,
		COMMAND_FREEZE_CHAR_POSITION_AND_DONT_LOAD_COLLISION                     = 0x0575,
		COMMAND_FREEZE_OBJECT_POSITION_AND_DONT_LOAD_COLLISION                   = 0x0576,
		COMMAND_SET_FADE_AND_JUMPCUT_AFTER_RC_EXPLOSION                          = 0x0577,
		COMMAND_REGISTER_VIGILANTE_LEVEL                                         = 0x0578,
		COMMAND_CLEAR_ALL_CHAR_ANIMS                                             = 0x0579,
		COMMAND_SET_MAXIMUM_NUMBER_OF_CARS_IN_GARAGE                             = 0x057A,
		COMMAND_WANTED_STARS_ARE_FLASHING                                        = 0x057B,
		COMMAND_SET_ALLOW_HURRICANES                                             = 0x057C,
		COMMAND_PLAY_ANNOUNCEMENT                                                = 0x057D,
		COMMAND_SET_PLAYER_IS_IN_STADIUM                                         = 0x057E,
		COMMAND_GET_BUS_FARES_COLLECTED_BY_PLAYER                                = 0x057F,
		COMMAND_SET_CHAR_OBJ_BUY_ICE_CREAM                                       = 0x0580,
		COMMAND_DISPLAY_RADAR                                                    = 0x0581,
		COMMAND_REGISTER_BEST_POSITION                                           = 0x0582,
		COMMAND_IS_PLAYER_IN_INFO_ZONE                                           = 0x0583,
		COMMAND_CLEAR_CHAR_ICE_CREAM_PURCHASE                                    = 0x0584,
		COMMAND_IS_IN_CAR_FIRE_BUTTON_PRESSED                                    = 0x0585,
		COMMAND_HAS_CHAR_ATTEMPTED_ATTRACTOR                                     = 0x0586,
		COMMAND_SET_LOAD_COLLISION_FOR_CAR_FLAG                                  = 0x0587,
		COMMAND_SET_LOAD_COLLISION_FOR_CHAR_FLAG                                 = 0x0588,
		COMMAND_SET_LOAD_COLLISION_FOR_OBJECT_FLAG                               = 0x0589,
		COMMAND_ADD_BIG_GUN_FLASH                                                = 0x058A,
		COMMAND_HAS_CHAR_BOUGHT_ICE_CREAM                                        = 0x058B,
		COMMAND_GET_PROGRESS_PERCENTAGE                                          = 0x058C,
		COMMAND_SET_SHORTCUT_PICKUP_POINT                                        = 0x058D,
		COMMAND_SET_SHORTCUT_DROPOFF_POINT_FOR_MISSION                           = 0x058E,
		COMMAND_GET_RANDOM_ICE_CREAM_CUSTOMER_IN_AREA                            = 0x058F,
		COMMAND_GET_RANDOM_ICE_CREAM_CUSTOMER_IN_ZONE                            = 0x0590,
		COMMAND_UNLOCK_ALL_CAR_DOORS_IN_AREA                                     = 0x0591,
		COMMAND_SET_GANG_ATTACK_PLAYER_WITH_COPS                                 = 0x0592,
		COMMAND_SET_CHAR_FRIGHTENED_IN_JACKED_CAR                                = 0x0593,
		COMMAND_SET_VEHICLE_TO_FADE_IN                                           = 0x0594,
		COMMAND_REGISTER_ODDJOB_MISSION_PASSED                                   = 0x0595,
		COMMAND_IS_PLAYER_IN_SHORTCUT_TAXI                                       = 0x0596,
		COMMAND_IS_CHAR_DUCKING                                                  = 0x0597,
		COMMAND_CREATE_DUST_EFFECT_FOR_CUTSCENE_HELI                             = 0x0598,
		COMMAND_REGISTER_FIRE_LEVEL                                              = 0x0599,
		COMMAND_IS_AUSTRALIAN_GAME                                               = 0x059A,
		COMMAND_DISARM_CAR_BOMB                                                  = 0x059B,
		COMMAND_SET_ONSCREEN_COUNTER_FLASH_WHEN_FIRST_DISPLAYED                  = 0x059C,
		COMMAND_SHUFFLE_CARD_DECKS                                               = 0x059D,
		COMMAND_FETCH_NEXT_CARD                                                  = 0x059E,
		COMMAND_GET_OBJECT_VELOCITY                                              = 0x059F,
		COMMAND_IS_DEBUG_CAMERA_ON                                               = 0x05A0,
		COMMAND_ADD_TO_OBJECT_ROTATION_VELOCITY                                  = 0x05A1,
		COMMAND_SET_OBJECT_ROTATION_VELOCITY                                     = 0x05A2,
		COMMAND_IS_OBJECT_STATIC                                                 = 0x05A3,
		COMMAND_GET_ANGLE_BETWEEN_2D_VECTORS                                     = 0x05A4,
		COMMAND_DO_2D_RECTANGLES_COLLIDE                                         = 0x05A5,
		COMMAND_GET_OBJECT_ROTATION_VELOCITY                                     = 0x05A6,
		COMMAND_ADD_VELOCITY_RELATIVE_TO_OBJECT_VELOCITY                         = 0x05A7,
		COMMAND_GET_OBJECT_SPEED                                                 = 0x05A8,
		COMMAND_IS_MISSION_SKIP                                                  = 0x05A9,
		COMMAND_SET_IN_AMMUNATION                                                = 0x05AA,
		COMMAND_DO_SAVE_GAME                                                     = 0x05AB,
		COMMAND_IS_RETRY                                                         = 0x05AC,
		COMMAND_DUMMY                                                            = 0x05AD,
		COMMAND_MARK_CUTSCENE_START                                              = 0x05AE,
		COMMAND_MARK_CUTSCENE_END                                                = 0x05AF,
		COMMAND_CUTSCENE_SCROLL                                                  = 0x05B0,
		COMMAND_SET_LVAR_TEXT_LABEL_TO_LVAR_TEXT_LABEL                           = 0x05B1,
		COMMAND_SET_VAR_TEXT_LABEL_TO_LVAR_TEXT_LABEL                            = 0x05B2,
		COMMAND_SET_LVAR_TEXT_LABEL_TO_VAR_TEXT_LABEL                            = 0x05B3,
		COMMAND_VAR_TEXT_LABEL                                                   = 0x05B4,
		COMMAND_LVAR_TEXT_LABEL                                                  = 0x05B5,
		COMMAND_IS_TEXT_LABEL_VAR_EQUAL_TO_TEXT_LABEL                            = 0x05B6,
		COMMAND_IS_TEXT_LABEL_LVAR_EQUAL_TO_TEXT_LABEL                           = 0x05B7,
		COMMAND_IS_TEXT_LABEL_VAR_EQUAL_TO_TEXT_LABEL_VAR                        = 0x05B8,
		COMMAND_IS_TEXT_LABEL_LVAR_EQUAL_TO_TEXT_LABEL_LVAR                      = 0x05B9,
		COMMAND_IS_TEXT_LABEL_VAR_EQUAL_TO_TEXT_LABEL_LVAR                       = 0x05BA,
		COMMAND_DO_2D_LINES_INTERSECT                                            = 0x05BB,
		COMMAND_GET_2D_LINES_INTERSECT_POINT                                     = 0x05BC,
		COMMAND_IS_2D_POINT_IN_TRIANGLE                                          = 0x05BD,
		COMMAND_IS_2D_POINT_IN_RECTANGLE_ON_LEFT_SIDE_OF_LINE                    = 0x05BE,
		COMMAND_IS_2D_POINT_ON_LEFT_SIDE_OF_2D_LINE                              = 0x05BF,
		COMMAND_CHAR_LOOK_AT_OBJECT_ALWAYS                                       = 0x05C0,
		COMMAND_APPLY_COLLISION_ON_OBJECT                                        = 0x05C1,
		COMMAND_SAVE_STRING_TO_DEBUG_FILE                                        = 0x05C2
	};
}